module RESET_DELY ( 
	input OSC_50 , 
   output RESET_N_DY ,
   output reg [25:0] DELAY_CNT=0 
) ; 

parameter SEC = 50000000 ; 
parameter SEC1 = 1*SEC  ; 

//=======================================================
//  REG/WIRE declarations
//=======================================================
//reg [25:0] DELAY_CNT  ; 
  
//=======================================================
//  Structural coding
//=======================================================	

assign RESET_N_DY =( ( DELAY_CNT>=0 ) &&  ( DELAY_CNT< SEC1/2 ) )?0:1 ; 

always @(posedge OSC_50  )  if ( DELAY_CNT < SEC1 ) DELAY_CNT <= DELAY_CNT+1; 

 
endmodule 