// pllsys_fmcp.v

// Generated using ACDS version 23.2 94

`timescale 1 ps / 1 ps
module pllsys_fmcp (
		output wire  out_systempll_synthlock_0, // out_systempll_synthlock_0.out_systempll_synthlock
		output wire  out_systempll_clk_0,       //       out_systempll_clk_0.clk
		output wire  out_refclk_fgt_2,          //          out_refclk_fgt_2.clk
		output wire  out_refclk_fgt_3,          //          out_refclk_fgt_3.clk
		input  wire  in_refclk_fgt_2,           //                refclk_fgt.in_refclk_fgt_2
		input  wire  in_refclk_fgt_3,           //                          .in_refclk_fgt_3
		output wire  out_coreclk_2,             //             out_coreclk_2.clk
		output wire  out_coreclk_3              //             out_coreclk_3.clk
	);

	pllsys_fmcp_systemclk_f_250_fvcucoa #(
		.refclk_fgt_always_active_0    (0),
		.refclk_fgt_always_active_1    (0),
		.refclk_fgt_always_active_2    (1),
		.refclk_fgt_always_active_3    (1),
		.refclk_fgt_always_active_4    (1),
		.refclk_fgt_always_active_5    (1),
		.refclk_fgt_always_active_6    (1),
		.refclk_fgt_always_active_7    (1),
		.refclk_fgt_always_active_8    (1),
		.refclk_fgt_always_active_9    (1),
		.enables_systempll             (1),
		.systempll_refsrc_0            (3),
		.systempll_refsrc_1            (0),
		.systempll_refsrc_2            (0),
		.enables_refclk_fgt            (12),
		.enables_coreclk_fgt           (12),
		.refclk_fgt_freq_0             (0),
		.refclk_fgt_freq_1             (0),
		.refclk_fgt_freq_2             (184320000),
		.refclk_fgt_freq_3             (156250000),
		.refclk_fgt_freq_4             (0),
		.refclk_fgt_freq_5             (0),
		.refclk_fgt_freq_6             (0),
		.refclk_fgt_freq_7             (0),
		.refclk_fgt_freq_8             (0),
		.refclk_fgt_freq_9             (0),
		.enables_cdrout_fgt            (0),
		.enables_refclk_fht            (0),
		.enables_commonpll             (0),
		.commonpll_refsrc_0            (0),
		.commonpll_refsrc_1            (0),
		.syspll_availpor_0             (1),
		.syspll_availpor_1             (0),
		.syspll_availpor_2             (0),
		.refclkready_enable            (1),
		.systempll_c0_counter_0        ("5"),
		.systempll_c1_counter_0        ("10"),
		.systempll_c2_counter_0        ("18"),
		.systempll_c0_output_enable_0  ("C0_OUTPUT_ENABLE"),
		.systempll_c1_output_enable_0  ("C1_OUTPUT_ENABLE"),
		.systempll_c2_output_enable_0  ("C2_OUTPUT_ENABLE"),
		.systempll_f_out_c0_hz_0       ("900000000"),
		.systempll_f_out_c1_hz_0       ("450000000"),
		.systempll_f_out_c2_hz_0       ("250000000"),
		.systempll_f_pfd_hz_0          ("31250000"),
		.systempll_f_ref_hz_0          ("156250000"),
		.systempll_f_vco_hz_0          ("4500000000"),
		.systempll_fractional_enable_0 ("DISABLED"),
		.systempll_m_counter_0         ("144"),
		.systempll_n_counter_0         ("5"),
		.systempll_ethernet_preset_0   ("ETHERNET_FREQ_OTHER"),
		.systempll_pcie_preset_0       ("PCIE_UNUSED"),
		.systempll_eth_flux_used_0     ("__BB_DONT_CARE__"),
		.systempll_c0_counter_1        (""),
		.systempll_c1_counter_1        (""),
		.systempll_c2_counter_1        (""),
		.systempll_c0_output_enable_1  (""),
		.systempll_c1_output_enable_1  (""),
		.systempll_c2_output_enable_1  (""),
		.systempll_f_out_c0_hz_1       (""),
		.systempll_f_out_c1_hz_1       (""),
		.systempll_f_out_c2_hz_1       (""),
		.systempll_f_pfd_hz_1          (""),
		.systempll_f_ref_hz_1          (""),
		.systempll_f_vco_hz_1          (""),
		.systempll_fractional_enable_1 (""),
		.systempll_m_counter_1         (""),
		.systempll_n_counter_1         (""),
		.systempll_ethernet_preset_1   (""),
		.systempll_pcie_preset_1       (""),
		.systempll_eth_flux_used_1     (""),
		.systempll_c0_counter_2        (""),
		.systempll_c1_counter_2        (""),
		.systempll_c2_counter_2        (""),
		.systempll_c0_output_enable_2  (""),
		.systempll_c1_output_enable_2  (""),
		.systempll_c2_output_enable_2  (""),
		.systempll_f_out_c0_hz_2       (""),
		.systempll_f_out_c1_hz_2       (""),
		.systempll_f_out_c2_hz_2       (""),
		.systempll_f_pfd_hz_2          (""),
		.systempll_f_ref_hz_2          (""),
		.systempll_f_vco_hz_2          (""),
		.systempll_fractional_enable_2 (""),
		.systempll_m_counter_2         (""),
		.systempll_n_counter_2         (""),
		.systempll_ethernet_preset_2   (""),
		.systempll_pcie_preset_2       (""),
		.systempll_eth_flux_used_2     (""),
		.cmnpll_xtensa_used_0          (""),
		.cmnpll_xtensa_used_1          (""),
		.cmnpll_en_cmos_refclk_out     (""),
		.fhtref_fref_hz_0              (""),
		.fhtref_fref_hz_1              (""),
		.silicon_revision              ("10nm8agdrb"),
		.device_revision               ("10nm8agdrb")
	) systemclk_f_0 (
		.out_systempll_synthlock_0  (out_systempll_synthlock_0), //  output,  width = 1, out_systempll_synthlock_0.out_systempll_synthlock
		.out_systempll_clk_0        (out_systempll_clk_0),       //  output,  width = 1,       out_systempll_clk_0.clk
		.out_refclk_fgt_2           (out_refclk_fgt_2),          //  output,  width = 1,          out_refclk_fgt_2.clk
		.out_refclk_fgt_3           (out_refclk_fgt_3),          //  output,  width = 1,          out_refclk_fgt_3.clk
		.in_refclk_fgt_2            (in_refclk_fgt_2),           //   input,  width = 1,                refclk_fgt.in_refclk_fgt_2
		.in_refclk_fgt_3            (in_refclk_fgt_3),           //   input,  width = 1,                          .in_refclk_fgt_3
		.out_coreclk_2              (out_coreclk_2),             //  output,  width = 1,             out_coreclk_2.clk
		.out_coreclk_3              (out_coreclk_3),             //  output,  width = 1,             out_coreclk_3.clk
		.out_systempll_synthlock_1  (),                          // (terminated),                                       
		.out_systempll_synthlock_2  (),                          // (terminated),                                       
		.out_systempll_disconnect_0 (),                          // (terminated),                                       
		.out_systempll_disconnect_1 (),                          // (terminated),                                       
		.out_systempll_disconnect_2 (),                          // (terminated),                                       
		.out_systempll_status_0     (),                          // (terminated),                                       
		.out_systempll_status_1     (),                          // (terminated),                                       
		.out_systempll_status_2     (),                          // (terminated),                                       
		.out_systempll_clk_1        (),                          // (terminated),                                       
		.out_systempll_clk_2        (),                          // (terminated),                                       
		.out_refclk_fgt_0           (),                          // (terminated),                                       
		.out_refclk_fgt_1           (),                          // (terminated),                                       
		.out_refclk_fgt_4           (),                          // (terminated),                                       
		.out_refclk_fgt_5           (),                          // (terminated),                                       
		.out_refclk_fgt_6           (),                          // (terminated),                                       
		.out_refclk_fgt_7           (),                          // (terminated),                                       
		.out_refclk_fgt_8           (),                          // (terminated),                                       
		.out_refclk_fgt_9           (),                          // (terminated),                                       
		.in_refclk_fgt_0            (1'b0),                      // (terminated),                                       
		.in_refclk_fgt_1            (1'b0),                      // (terminated),                                       
		.in_refclk_fgt_4            (1'b0),                      // (terminated),                                       
		.in_refclk_fgt_5            (1'b0),                      // (terminated),                                       
		.in_refclk_fgt_6            (1'b0),                      // (terminated),                                       
		.in_refclk_fgt_7            (1'b0),                      // (terminated),                                       
		.in_refclk_fgt_8            (1'b0),                      // (terminated),                                       
		.in_refclk_fgt_9            (1'b0),                      // (terminated),                                       
		.avmm_clk                   (1'b0),                      // (terminated),                                       
		.avmm_reset                 (1'b0),                      // (terminated),                                       
		.refclock_ready             (3'b000),                    // (terminated),                                       
		.refclock_status            (),                          // (terminated),                                       
		.in_refclk_fht_0            (1'b0),                      // (terminated),                                       
		.in_refclk_fht_1            (1'b0),                      // (terminated),                                       
		.out_fht_cmmpll_clk_0       (),                          // (terminated),                                       
		.out_fht_cmmpll_clk_1       (),                          // (terminated),                                       
		.in_cdrclk_0                (1'b0),                      // (terminated),                                       
		.in_cdrclk_1                (1'b0),                      // (terminated),                                       
		.out_cdrclk_0               (),                          // (terminated),                                       
		.out_cdrclk_1               (),                          // (terminated),                                       
		.out_coreclk_0              (),                          // (terminated),                                       
		.out_coreclk_1              (),                          // (terminated),                                       
		.out_coreclk_4              (),                          // (terminated),                                       
		.out_coreclk_5              (),                          // (terminated),                                       
		.out_coreclk_6              (),                          // (terminated),                                       
		.out_coreclk_7              (),                          // (terminated),                                       
		.out_coreclk_8              (),                          // (terminated),                                       
		.out_coreclk_9              (),                          // (terminated),                                       
		.en_refclk_fgt_0            (2'b00),                     // (terminated),                                       
		.en_refclk_fgt_1            (2'b00),                     // (terminated),                                       
		.en_refclk_fgt_2            (2'b00),                     // (terminated),                                       
		.en_refclk_fgt_3            (2'b00),                     // (terminated),                                       
		.en_refclk_fgt_4            (2'b00),                     // (terminated),                                       
		.en_refclk_fgt_5            (2'b00),                     // (terminated),                                       
		.en_refclk_fgt_6            (2'b00),                     // (terminated),                                       
		.en_refclk_fgt_7            (2'b00),                     // (terminated),                                       
		.en_refclk_fgt_8            (2'b00),                     // (terminated),                                       
		.en_refclk_fgt_9            (2'b00),                     // (terminated),                                       
		.refclk_fgt_enabled_0       (),                          // (terminated),                                       
		.refclk_fgt_enabled_1       (),                          // (terminated),                                       
		.refclk_fgt_enabled_2       (),                          // (terminated),                                       
		.refclk_fgt_enabled_3       (),                          // (terminated),                                       
		.refclk_fgt_enabled_4       (),                          // (terminated),                                       
		.refclk_fgt_enabled_5       (),                          // (terminated),                                       
		.refclk_fgt_enabled_6       (),                          // (terminated),                                       
		.refclk_fgt_enabled_7       (),                          // (terminated),                                       
		.refclk_fgt_enabled_8       (),                          // (terminated),                                       
		.refclk_fgt_enabled_9       ()                           // (terminated),                                       
	);

endmodule
