// (C) 2001-2023 Intel Corporation. All rights reserved.
// Your use of Intel Corporation's design tools, logic functions and other 
// software and tools, and its AMPP partner logic functions, and any output 
// files from any of the foregoing (including device programming or simulation 
// files), and any associated documentation or information are expressly subject 
// to the terms and conditions of the Intel Program License Subscription 
// Agreement, Intel FPGA IP License Agreement, or other applicable 
// license agreement, including, without limitation, that your use is for the 
// sole purpose of programming logic devices manufactured by Intel and sold by 
// Intel or its authorized distributors.  Please refer to the applicable 
// agreement for further details.


module eth_f_50g_rx_rptr_gen_async (
    input   logic               i_clk,
    input   logic   [5:0]       i_ptr,
    output  logic   [0:1][4:0]  o_ptr
);

    always_ff @(posedge i_clk) begin
        case (i_ptr[0])
            1'd0 : o_ptr <= {i_ptr[5:1], i_ptr[5:1]};
            1'd1 : o_ptr <= {i_ptr[5:1] + 1'd1, i_ptr[5:1]};
        endcase
    end
endmodule