// (C) 2001-2023 Intel Corporation. All rights reserved.
// Your use of Intel Corporation's design tools, logic functions and other 
// software and tools, and its AMPP partner logic functions, and any output 
// files from any of the foregoing (including device programming or simulation 
// files), and any associated documentation or information are expressly subject 
// to the terms and conditions of the Intel Program License Subscription 
// Agreement, Intel FPGA IP License Agreement, or other applicable 
// license agreement, including, without limitation, that your use is for the 
// sole purpose of programming logic devices manufactured by Intel and sold by 
// Intel or its authorized distributors.  Please refer to the applicable 
// agreement for further details.


// $Id: $
// $Revision: $
// $Date: $
// $Author: $
//-----------------------------------------------------------------------------

`timescale 1 ps / 1 ps
// baeckler - 10-15-2012

module eth_f_reverse_2bits #(
	parameter NUM_SYMBOL = 32
)(
	input [NUM_SYMBOL*2-1:0] din,
	output [NUM_SYMBOL*2-1:0] dout
);

genvar i;
generate
	for (i=0; i<NUM_SYMBOL; i=i+1) begin : lp
		assign dout[(NUM_SYMBOL-1-i)*2+1:(NUM_SYMBOL-1-i)*2] = din[(i*2)+1:i*2];		
	end
endgenerate

endmodule
