// (C) 2001-2023 Intel Corporation. All rights reserved.
// Your use of Intel Corporation's design tools, logic functions and other 
// software and tools, and its AMPP partner logic functions, and any output 
// files from any of the foregoing (including device programming or simulation 
// files), and any associated documentation or information are expressly subject 
// to the terms and conditions of the Intel Program License Subscription 
// Agreement, Intel FPGA IP License Agreement, or other applicable 
// license agreement, including, without limitation, that your use is for the 
// sole purpose of programming logic devices manufactured by Intel and sold by 
// Intel or its authorized distributors.  Please refer to the applicable 
// agreement for further details.


// Registers needed by PTP
localparam PTP_TX_DATA_CONSTDELAY_ADDR            = 24'h8F0;
localparam PTP_TX_LANE0_CALC_DATA_OFFSET_ADDR     = 24'h900;
localparam PTP_TX_LANE0_CALC_DATA_TIME_ADDR       = 24'h908;
localparam PTP_TX_LANE0_CALC_DATA_WIREDELAY_ADDR  = 24'h910;
localparam PTP_TX_TAM_ADJUST_ADDR                 = 24'h800;
localparam PTP_RX_DATA_CONSTDELAY_ADDR            = 24'h8F4;
localparam PTP_RX_LANE0_CALC_DATA_OFFSET_ADDR     = 24'h904;
localparam PTP_RX_LANE0_CALC_DATA_TIME_ADDR       = 24'h90C;
localparam PTP_RX_LANE0_CALC_DATA_WIREDELAY_ADDR  = 24'h914;
localparam PTP_RX_TAM_ADJUST_ADDR                 = 24'h804;
localparam PTP_STATUS_ADDR                        = 24'h830;
localparam PTP_TXRX_REF_LANE_ADDR                 = 24'h80C;
localparam PTP_TX_USER_CFG_STATUS_ADDR            = 24'h814;
localparam PTP_RX_USER_CFG_STATUS_ADDR            = 24'h818;

localparam MAC_TX_EXTRA_LATENCY_ADDR              = 24'h2E0;
localparam MAC_RX_EXTRA_LATENCY_ADDR              = 24'h344;
localparam PCS_TX_PTP_VL_OFFSET_0_ADDR            = 24'h2F4;
localparam PCS_RX_PTP_VL_OFFSET_0_ADDR            = 24'h358;
localparam PCS_RX_STATUS_ADDR                     = 24'h084;
localparam PCS_RX_BITSLIP_CNT_ADDR                = 24'h110;
localparam PCS_PTP_VL_DATA_LO_0_ADDR              = 24'h114;
localparam PCS_PTP_VL_DATA_HI_0_ADDR              = 24'h164;

localparam FEC_LANE_RX_STAT_ADDR                  = 24'h154;
localparam FEC_AGGR_RX_STAT_ADDR                  = 24'h160;
localparam FEC_RX_CW_POS_ADDR                     = 24'h174;
localparam PTP_ASYM_P2P_DLY_0_ADDR                = 24'h040;
localparam XCVRIF_RX_LAT_BIT_FOR_ASYNC_0_ADDR     = 20'hF0028;
localparam XCVRIF_FHT_RX_LAT_BIT_FOR_ASYNC_0_ADDR = 20'hF002C;
localparam XCVRIF_CURR_LANE                       = 20'hFFFFC;
