# (C) 2001-2023 Intel Corporation. All rights reserved.
# Your use of Intel Corporation's design tools, logic functions and other 
# software and tools, and its AMPP partner logic functions, and any output 
# files from any of the foregoing (including device programming or simulation 
# files), and any associated documentation or information are expressly subject 
# to the terms and conditions of the Intel Program License Subscription 
# Agreement, Intel FPGA IP License Agreement, or other applicable 
# license agreement, including, without limitation, that your use is for the 
# sole purpose of programming logic devices manufactured by Intel and sold by 
# Intel or its authorized distributors.  Please refer to the applicable 
# agreement for further details.


QSYS_SIMDIR="../ex_100G/sim"
QUARTUS_INSTALL_DIR=$QUARTUS_ROOTDIR
USER_DEFINED_ELAB_OPTIONS="-sverilog -debug_access+all -debug_acc+pp -debug_region+cell+encrypt -l vcsmx.log"
USER_DEFINED_VERILOG_COMPILE_OPTIONS="+define+TOP_LEVEL_ENTITY_INSTANCE_PATH=basic_avl_tb_top.eth_f_hw \
+define+IP7581SERDES_UXS2T1R1PGD_PIPE_SPEC_FORCE \
+define+IP7581SERDES_UXS2T1R1PGD_PIPE_SIMULATION \
+define+IP7581SERDES_UXS2T1R1PGD_PIPE_FAST_SIM \
+define+IP7581SERDES_UX_SIMSPEED \
+define+BK_FASTSIM_MODEL \
+define+IP7581SERDES_UXS2T1R1PGD_PIPE_SKIP_LOAD_SPEC \
+define+SRC_SPEC_SPEED_UP \
"
cp -r $QSYS_SIMDIR/synopsys/vcsmx/* .

vlogan -sverilog basic_avl_tb_top.sv \
-f ./common_files_list.f \

SKIP_SIM=1

sh $QSYS_SIMDIR/synopsys/vcsmx/vcsmx_setup.sh QSYS_SIMDIR=$QSYS_SIMDIR QUARTUS_INSTALL_DIR=$QUARTUS_INSTALL_DIR USER_DEFINED_ELAB_OPTIONS="\"$USER_DEFINED_ELAB_OPTIONS\"" USER_DEFINED_VERILOG_COMPILE_OPTIONS="\"$USER_DEFINED_VERILOG_COMPILE_OPTIONS\"" SKIP_SIM=$SKIP_SIM TOP_LEVEL_NAME="'-top basic_avl_tb_top'"

./simv +lic+wait -l v.log

