# (C) 2001-2023 Intel Corporation. All rights reserved.
# Your use of Intel Corporation's design tools, logic functions and other 
# software and tools, and its AMPP partner logic functions, and any output 
# files from any of the foregoing (including device programming or simulation 
# files), and any associated documentation or information are expressly subject 
# to the terms and conditions of the Intel Program License Subscription 
# Agreement, Intel FPGA IP License Agreement, or other applicable 
# license agreement, including, without limitation, that your use is for the 
# sole purpose of programming logic devices manufactured by Intel and sold by 
# Intel or its authorized distributors.  Please refer to the applicable 
# agreement for further details.


QSYS_SIMDIR="../ex_100G/sim"
QUARTUS_INSTALL_DIR=$QUARTUS_ROOTDIR
SKIP_ELAB=1
SKIP_SIM=1
USER_DEFINED_VERILOG_COMPILE_OPTIONS="+define+TOP_LEVEL_ENTITY_INSTANCE_PATH=basic_avl_tb_top.eth_f_hw \
+define+IP7581SERDES_UXS2T1R1PGD_PIPE_SPEC_FORCE \
+define+IP7581SERDES_UXS2T1R1PGD_PIPE_SIMULATION \
+define+IP7581SERDES_UXS2T1R1PGD_PIPE_FAST_SIM \
+define+IP7581SERDES_UX_SIMSPEED \
+define+BK_FASTSIM_MODEL \
+define+IP7581SERDES_UXS2T1R1PGD_PIPE_SKIP_LOAD_SPEC \
+define+SRC_SPEC_SPEED_UP \
"
cp -r $QSYS_SIMDIR/xcelium/* .

sh ./$QSYS_SIMDIR/xcelium/xcelium_setup.sh QSYS_SIMDIR=$QSYS_SIMDIR QUARTUS_INSTALL_DIR=$QUARTUS_INSTALL_DIR SKIP_ELAB=$SKIP_ELAB SKIP_SIM=$SKIP_SIM USER_DEFINED_ELAB_OPTIONS="\"$USER_DEFINED_ELAB_OPTIONS\"" USER_DEFINED_VERILOG_COMPILE_OPTIONS="\"$USER_DEFINED_VERILOG_COMPILE_OPTIONS\"" 

xmvlog -sv ./basic_avl_tb_top.sv \
-f ./common_files_list.f \

export GENERIC_PARAM_COMPAT_CHECK=1


xmelab -relax -timescale '1 ps / 1 fs' -override_timescale -genhier -access +rwc basic_avl_tb_top


xmsim  -licqueue -run -exit -extassertmsg basic_avl_tb_top

