// pcie_ed.v

// Generated using ACDS version 23.2 94

`timescale 1 ps / 1 ps
module pcie_ed (
		input  wire       hip_serial_rx_n_in0,  // hip_serial.rx_n_in0
		input  wire       hip_serial_rx_n_in1,  //           .rx_n_in1
		input  wire       hip_serial_rx_n_in2,  //           .rx_n_in2
		input  wire       hip_serial_rx_n_in3,  //           .rx_n_in3
		input  wire       hip_serial_rx_n_in4,  //           .rx_n_in4
		input  wire       hip_serial_rx_n_in5,  //           .rx_n_in5
		input  wire       hip_serial_rx_n_in6,  //           .rx_n_in6
		input  wire       hip_serial_rx_n_in7,  //           .rx_n_in7
		input  wire       hip_serial_rx_p_in0,  //           .rx_p_in0
		input  wire       hip_serial_rx_p_in1,  //           .rx_p_in1
		input  wire       hip_serial_rx_p_in2,  //           .rx_p_in2
		input  wire       hip_serial_rx_p_in3,  //           .rx_p_in3
		input  wire       hip_serial_rx_p_in4,  //           .rx_p_in4
		input  wire       hip_serial_rx_p_in5,  //           .rx_p_in5
		input  wire       hip_serial_rx_p_in6,  //           .rx_p_in6
		input  wire       hip_serial_rx_p_in7,  //           .rx_p_in7
		output wire       hip_serial_tx_n_out0, //           .tx_n_out0
		output wire       hip_serial_tx_n_out1, //           .tx_n_out1
		output wire       hip_serial_tx_n_out2, //           .tx_n_out2
		output wire       hip_serial_tx_n_out3, //           .tx_n_out3
		output wire       hip_serial_tx_n_out4, //           .tx_n_out4
		output wire       hip_serial_tx_n_out5, //           .tx_n_out5
		output wire       hip_serial_tx_n_out6, //           .tx_n_out6
		output wire       hip_serial_tx_n_out7, //           .tx_n_out7
		output wire       hip_serial_tx_p_out0, //           .tx_p_out0
		output wire       hip_serial_tx_p_out1, //           .tx_p_out1
		output wire       hip_serial_tx_p_out2, //           .tx_p_out2
		output wire       hip_serial_tx_p_out3, //           .tx_p_out3
		output wire       hip_serial_tx_p_out4, //           .tx_p_out4
		output wire       hip_serial_tx_p_out5, //           .tx_p_out5
		output wire       hip_serial_tx_p_out6, //           .tx_p_out6
		output wire       hip_serial_tx_p_out7, //           .tx_p_out7
		input  wire       pin_perst_reset_n,    //  pin_perst.reset_n
		input  wire [1:0] pio_button_export,    // pio_button.export
		output wire [1:0] pio_led_export,       //    pio_led.export
		input  wire       pll_in_refclk_fgt_0   //        pll.in_refclk_fgt_0
	);

	wire          pcie_ftile_mcdma_app_clk_clk;                                   // pcie_ftile_mcdma:app_clk -> [BAM_INTERPRETER:clk_i, mem:clk, mm_bridge_bar4:clk, mm_bridge_onchip_mem:clk, mm_interconnect_0:pcie_ftile_mcdma_app_clk_clk, mm_interconnect_1:pcie_ftile_mcdma_app_clk_clk, mm_interconnect_2:pcie_ftile_mcdma_app_clk_clk, mm_interconnect_3:pcie_ftile_mcdma_app_clk_clk, mm_interconnect_4:pcie_ftile_mcdma_app_clk_clk, pio_button:clk, pio_led:clk, rst_controller:clk]
	wire          systemclk_f_out_refclk_fgt_0_clk;                               // systemclk_f:out_refclk_fgt_0 -> [pcie_ftile_mcdma:refclk0, pcie_ftile_mcdma:refclk1]
	wire          systemclk_f_out_systempll_clk_0_clk;                            // systemclk_f:out_systempll_clk_0 -> pcie_ftile_mcdma:pcie_systempll_clk
	wire          pcie_ftile_mcdma_app_nreset_status_reset;                       // pcie_ftile_mcdma:app_rst_n -> [mm_bridge_bar4:reset, mm_bridge_onchip_mem:reset, mm_interconnect_0:BAM_INTERPRETER_reset_reset_bridge_in_reset_reset, mm_interconnect_0:mm_bridge_bar4_reset_reset_bridge_in_reset_reset, mm_interconnect_1:mm_bridge_bar4_reset_reset_bridge_in_reset_reset, mm_interconnect_1:pio_button_reset_reset_bridge_in_reset_reset, mm_interconnect_2:BAM_INTERPRETER_reset_reset_bridge_in_reset_reset, mm_interconnect_2:pcie_ftile_mcdma_p0_bam_master_translator_reset_reset_bridge_in_reset_reset, mm_interconnect_3:mem_reset1_reset_bridge_in_reset_reset, mm_interconnect_3:pcie_ftile_mcdma_p0_d2hdm_master_translator_reset_reset_bridge_in_reset_reset, mm_interconnect_4:mm_bridge_onchip_mem_reset_reset_bridge_in_reset_reset, mm_interconnect_4:mm_bridge_onchip_mem_s0_agent_rsp_fifo_clk_reset_reset_bridge_in_reset_reset, rst_controller:reset_in0]
	wire          resetip_ninit_done_reset;                                       // resetIP:ninit_done -> pcie_ftile_mcdma:ninit_done
	wire          bam_interpreter_avmm_bam_master_waitrequest;                    // mm_interconnect_0:BAM_INTERPRETER_AVMM_BAM_Master_waitrequest -> BAM_INTERPRETER:bam_waitrequest_i
	wire  [255:0] bam_interpreter_avmm_bam_master_readdata;                       // mm_interconnect_0:BAM_INTERPRETER_AVMM_BAM_Master_readdata -> BAM_INTERPRETER:bam_readdata_i
	wire          bam_interpreter_avmm_bam_master_read;                           // BAM_INTERPRETER:bam_read_o -> mm_interconnect_0:BAM_INTERPRETER_AVMM_BAM_Master_read
	wire   [26:0] bam_interpreter_avmm_bam_master_address;                        // BAM_INTERPRETER:bam_address_o -> mm_interconnect_0:BAM_INTERPRETER_AVMM_BAM_Master_address
	wire   [31:0] bam_interpreter_avmm_bam_master_byteenable;                     // BAM_INTERPRETER:bam_byteenable_o -> mm_interconnect_0:BAM_INTERPRETER_AVMM_BAM_Master_byteenable
	wire          bam_interpreter_avmm_bam_master_readdatavalid;                  // mm_interconnect_0:BAM_INTERPRETER_AVMM_BAM_Master_readdatavalid -> BAM_INTERPRETER:bam_readdatavalid_i
	wire          bam_interpreter_avmm_bam_master_write;                          // BAM_INTERPRETER:bam_write_o -> mm_interconnect_0:BAM_INTERPRETER_AVMM_BAM_Master_write
	wire  [255:0] bam_interpreter_avmm_bam_master_writedata;                      // BAM_INTERPRETER:bam_writedata_o -> mm_interconnect_0:BAM_INTERPRETER_AVMM_BAM_Master_writedata
	wire    [4:0] bam_interpreter_avmm_bam_master_burstcount;                     // BAM_INTERPRETER:bam_burstcount_o -> mm_interconnect_0:BAM_INTERPRETER_AVMM_BAM_Master_burstcount
	wire  [255:0] mm_interconnect_0_mm_bridge_bar4_s0_readdata;                   // mm_bridge_bar4:s0_readdata -> mm_interconnect_0:mm_bridge_bar4_s0_readdata
	wire          mm_interconnect_0_mm_bridge_bar4_s0_waitrequest;                // mm_bridge_bar4:s0_waitrequest -> mm_interconnect_0:mm_bridge_bar4_s0_waitrequest
	wire          mm_interconnect_0_mm_bridge_bar4_s0_debugaccess;                // mm_interconnect_0:mm_bridge_bar4_s0_debugaccess -> mm_bridge_bar4:s0_debugaccess
	wire   [23:0] mm_interconnect_0_mm_bridge_bar4_s0_address;                    // mm_interconnect_0:mm_bridge_bar4_s0_address -> mm_bridge_bar4:s0_address
	wire          mm_interconnect_0_mm_bridge_bar4_s0_read;                       // mm_interconnect_0:mm_bridge_bar4_s0_read -> mm_bridge_bar4:s0_read
	wire   [31:0] mm_interconnect_0_mm_bridge_bar4_s0_byteenable;                 // mm_interconnect_0:mm_bridge_bar4_s0_byteenable -> mm_bridge_bar4:s0_byteenable
	wire          mm_interconnect_0_mm_bridge_bar4_s0_readdatavalid;              // mm_bridge_bar4:s0_readdatavalid -> mm_interconnect_0:mm_bridge_bar4_s0_readdatavalid
	wire          mm_interconnect_0_mm_bridge_bar4_s0_write;                      // mm_interconnect_0:mm_bridge_bar4_s0_write -> mm_bridge_bar4:s0_write
	wire  [255:0] mm_interconnect_0_mm_bridge_bar4_s0_writedata;                  // mm_interconnect_0:mm_bridge_bar4_s0_writedata -> mm_bridge_bar4:s0_writedata
	wire    [4:0] mm_interconnect_0_mm_bridge_bar4_s0_burstcount;                 // mm_interconnect_0:mm_bridge_bar4_s0_burstcount -> mm_bridge_bar4:s0_burstcount
	wire          mm_bridge_bar4_m0_waitrequest;                                  // mm_interconnect_1:mm_bridge_bar4_m0_waitrequest -> mm_bridge_bar4:m0_waitrequest
	wire  [255:0] mm_bridge_bar4_m0_readdata;                                     // mm_interconnect_1:mm_bridge_bar4_m0_readdata -> mm_bridge_bar4:m0_readdata
	wire          mm_bridge_bar4_m0_debugaccess;                                  // mm_bridge_bar4:m0_debugaccess -> mm_interconnect_1:mm_bridge_bar4_m0_debugaccess
	wire   [23:0] mm_bridge_bar4_m0_address;                                      // mm_bridge_bar4:m0_address -> mm_interconnect_1:mm_bridge_bar4_m0_address
	wire          mm_bridge_bar4_m0_read;                                         // mm_bridge_bar4:m0_read -> mm_interconnect_1:mm_bridge_bar4_m0_read
	wire   [31:0] mm_bridge_bar4_m0_byteenable;                                   // mm_bridge_bar4:m0_byteenable -> mm_interconnect_1:mm_bridge_bar4_m0_byteenable
	wire          mm_bridge_bar4_m0_readdatavalid;                                // mm_interconnect_1:mm_bridge_bar4_m0_readdatavalid -> mm_bridge_bar4:m0_readdatavalid
	wire  [255:0] mm_bridge_bar4_m0_writedata;                                    // mm_bridge_bar4:m0_writedata -> mm_interconnect_1:mm_bridge_bar4_m0_writedata
	wire          mm_bridge_bar4_m0_write;                                        // mm_bridge_bar4:m0_write -> mm_interconnect_1:mm_bridge_bar4_m0_write
	wire    [4:0] mm_bridge_bar4_m0_burstcount;                                   // mm_bridge_bar4:m0_burstcount -> mm_interconnect_1:mm_bridge_bar4_m0_burstcount
	wire          mm_bridge_onchip_mem_m0_waitrequest;                            // mm_interconnect_1:mm_bridge_onchip_mem_m0_waitrequest -> mm_bridge_onchip_mem:m0_waitrequest
	wire  [255:0] mm_bridge_onchip_mem_m0_readdata;                               // mm_interconnect_1:mm_bridge_onchip_mem_m0_readdata -> mm_bridge_onchip_mem:m0_readdata
	wire          mm_bridge_onchip_mem_m0_debugaccess;                            // mm_bridge_onchip_mem:m0_debugaccess -> mm_interconnect_1:mm_bridge_onchip_mem_m0_debugaccess
	wire   [20:0] mm_bridge_onchip_mem_m0_address;                                // mm_bridge_onchip_mem:m0_address -> mm_interconnect_1:mm_bridge_onchip_mem_m0_address
	wire          mm_bridge_onchip_mem_m0_read;                                   // mm_bridge_onchip_mem:m0_read -> mm_interconnect_1:mm_bridge_onchip_mem_m0_read
	wire   [31:0] mm_bridge_onchip_mem_m0_byteenable;                             // mm_bridge_onchip_mem:m0_byteenable -> mm_interconnect_1:mm_bridge_onchip_mem_m0_byteenable
	wire          mm_bridge_onchip_mem_m0_readdatavalid;                          // mm_interconnect_1:mm_bridge_onchip_mem_m0_readdatavalid -> mm_bridge_onchip_mem:m0_readdatavalid
	wire  [255:0] mm_bridge_onchip_mem_m0_writedata;                              // mm_bridge_onchip_mem:m0_writedata -> mm_interconnect_1:mm_bridge_onchip_mem_m0_writedata
	wire          mm_bridge_onchip_mem_m0_write;                                  // mm_bridge_onchip_mem:m0_write -> mm_interconnect_1:mm_bridge_onchip_mem_m0_write
	wire    [4:0] mm_bridge_onchip_mem_m0_burstcount;                             // mm_bridge_onchip_mem:m0_burstcount -> mm_interconnect_1:mm_bridge_onchip_mem_m0_burstcount
	wire   [31:0] mm_interconnect_1_pio_button_s1_readdata;                       // pio_button:readdata -> mm_interconnect_1:pio_button_s1_readdata
	wire    [1:0] mm_interconnect_1_pio_button_s1_address;                        // mm_interconnect_1:pio_button_s1_address -> pio_button:address
	wire          mm_interconnect_1_pio_led_s1_chipselect;                        // mm_interconnect_1:pio_led_s1_chipselect -> pio_led:chipselect
	wire   [31:0] mm_interconnect_1_pio_led_s1_readdata;                          // pio_led:readdata -> mm_interconnect_1:pio_led_s1_readdata
	wire    [1:0] mm_interconnect_1_pio_led_s1_address;                           // mm_interconnect_1:pio_led_s1_address -> pio_led:address
	wire          mm_interconnect_1_pio_led_s1_write;                             // mm_interconnect_1:pio_led_s1_write -> pio_led:write_n
	wire   [31:0] mm_interconnect_1_pio_led_s1_writedata;                         // mm_interconnect_1:pio_led_s1_writedata -> pio_led:writedata
	wire  [255:0] mm_interconnect_1_mem_s2_readdata;                              // mem:readdata2 -> mm_interconnect_1:mem_s2_readdata
	wire   [13:0] mm_interconnect_1_mem_s2_address;                               // mm_interconnect_1:mem_s2_address -> mem:address2
	wire          mm_interconnect_1_mem_s2_read;                                  // mm_interconnect_1:mem_s2_read -> mem:read2
	wire   [31:0] mm_interconnect_1_mem_s2_byteenable;                            // mm_interconnect_1:mem_s2_byteenable -> mem:byteenable2
	wire          mm_interconnect_1_mem_s2_write;                                 // mm_interconnect_1:mem_s2_write -> mem:write2
	wire  [255:0] mm_interconnect_1_mem_s2_writedata;                             // mm_interconnect_1:mem_s2_writedata -> mem:writedata2
	wire          pcie_ftile_mcdma_p0_bam_master_waitrequest;                     // mm_interconnect_2:pcie_ftile_mcdma_p0_bam_master_waitrequest -> pcie_ftile_mcdma:bam_waitrequest_i
	wire  [255:0] pcie_ftile_mcdma_p0_bam_master_readdata;                        // mm_interconnect_2:pcie_ftile_mcdma_p0_bam_master_readdata -> pcie_ftile_mcdma:bam_readdata_i
	wire   [29:0] pcie_ftile_mcdma_p0_bam_master_address;                         // pcie_ftile_mcdma:bam_address_o -> mm_interconnect_2:pcie_ftile_mcdma_p0_bam_master_address
	wire   [31:0] pcie_ftile_mcdma_p0_bam_master_byteenable;                      // pcie_ftile_mcdma:bam_byteenable_o -> mm_interconnect_2:pcie_ftile_mcdma_p0_bam_master_byteenable
	wire          pcie_ftile_mcdma_p0_bam_master_read;                            // pcie_ftile_mcdma:bam_read_o -> mm_interconnect_2:pcie_ftile_mcdma_p0_bam_master_read
	wire          pcie_ftile_mcdma_p0_bam_master_readdatavalid;                   // mm_interconnect_2:pcie_ftile_mcdma_p0_bam_master_readdatavalid -> pcie_ftile_mcdma:bam_readdatavalid_i
	wire          pcie_ftile_mcdma_p0_bam_master_write;                           // pcie_ftile_mcdma:bam_write_o -> mm_interconnect_2:pcie_ftile_mcdma_p0_bam_master_write
	wire  [255:0] pcie_ftile_mcdma_p0_bam_master_writedata;                       // pcie_ftile_mcdma:bam_writedata_o -> mm_interconnect_2:pcie_ftile_mcdma_p0_bam_master_writedata
	wire    [4:0] pcie_ftile_mcdma_p0_bam_master_burstcount;                      // pcie_ftile_mcdma:bam_burstcount_o -> mm_interconnect_2:pcie_ftile_mcdma_p0_bam_master_burstcount
	wire  [255:0] mm_interconnect_2_bam_interpreter_avmm_bam_slave_readdata;      // BAM_INTERPRETER:bam_readdata_o -> mm_interconnect_2:BAM_INTERPRETER_AVMM_BAM_Slave_readdata
	wire          mm_interconnect_2_bam_interpreter_avmm_bam_slave_waitrequest;   // BAM_INTERPRETER:bam_waitrequest_o -> mm_interconnect_2:BAM_INTERPRETER_AVMM_BAM_Slave_waitrequest
	wire   [29:0] mm_interconnect_2_bam_interpreter_avmm_bam_slave_address;       // mm_interconnect_2:BAM_INTERPRETER_AVMM_BAM_Slave_address -> BAM_INTERPRETER:bam_address_i
	wire          mm_interconnect_2_bam_interpreter_avmm_bam_slave_read;          // mm_interconnect_2:BAM_INTERPRETER_AVMM_BAM_Slave_read -> BAM_INTERPRETER:bam_read_i
	wire   [31:0] mm_interconnect_2_bam_interpreter_avmm_bam_slave_byteenable;    // mm_interconnect_2:BAM_INTERPRETER_AVMM_BAM_Slave_byteenable -> BAM_INTERPRETER:bam_byteenable_i
	wire          mm_interconnect_2_bam_interpreter_avmm_bam_slave_readdatavalid; // BAM_INTERPRETER:bam_readdatavalid_o -> mm_interconnect_2:BAM_INTERPRETER_AVMM_BAM_Slave_readdatavalid
	wire    [1:0] mm_interconnect_2_bam_interpreter_avmm_bam_slave_response;      // BAM_INTERPRETER:bam_response_o -> mm_interconnect_2:BAM_INTERPRETER_AVMM_BAM_Slave_response
	wire          mm_interconnect_2_bam_interpreter_avmm_bam_slave_write;         // mm_interconnect_2:BAM_INTERPRETER_AVMM_BAM_Slave_write -> BAM_INTERPRETER:bam_write_i
	wire  [255:0] mm_interconnect_2_bam_interpreter_avmm_bam_slave_writedata;     // mm_interconnect_2:BAM_INTERPRETER_AVMM_BAM_Slave_writedata -> BAM_INTERPRETER:bam_writedata_i
	wire    [4:0] mm_interconnect_2_bam_interpreter_avmm_bam_slave_burstcount;    // mm_interconnect_2:BAM_INTERPRETER_AVMM_BAM_Slave_burstcount -> BAM_INTERPRETER:bam_burstcount_i
	wire          pcie_ftile_mcdma_p0_d2hdm_master_waitrequest;                   // mm_interconnect_3:pcie_ftile_mcdma_p0_d2hdm_master_waitrequest -> pcie_ftile_mcdma:d2hdm_waitrequest_i
	wire  [255:0] pcie_ftile_mcdma_p0_d2hdm_master_readdata;                      // mm_interconnect_3:pcie_ftile_mcdma_p0_d2hdm_master_readdata -> pcie_ftile_mcdma:d2hdm_readdata_i
	wire          pcie_ftile_mcdma_p0_d2hdm_master_read;                          // pcie_ftile_mcdma:d2hdm_read_o -> mm_interconnect_3:pcie_ftile_mcdma_p0_d2hdm_master_read
	wire   [63:0] pcie_ftile_mcdma_p0_d2hdm_master_address;                       // pcie_ftile_mcdma:d2hdm_address_o -> mm_interconnect_3:pcie_ftile_mcdma_p0_d2hdm_master_address
	wire   [31:0] pcie_ftile_mcdma_p0_d2hdm_master_byteenable;                    // pcie_ftile_mcdma:d2hdm_byteenable_o -> mm_interconnect_3:pcie_ftile_mcdma_p0_d2hdm_master_byteenable
	wire          pcie_ftile_mcdma_p0_d2hdm_master_readdatavalid;                 // mm_interconnect_3:pcie_ftile_mcdma_p0_d2hdm_master_readdatavalid -> pcie_ftile_mcdma:d2hdm_readdatavalid_i
	wire    [1:0] pcie_ftile_mcdma_p0_d2hdm_master_response;                      // mm_interconnect_3:pcie_ftile_mcdma_p0_d2hdm_master_response -> pcie_ftile_mcdma:d2hdm_response_i
	wire    [4:0] pcie_ftile_mcdma_p0_d2hdm_master_burstcount;                    // pcie_ftile_mcdma:d2hdm_burstcount_o -> mm_interconnect_3:pcie_ftile_mcdma_p0_d2hdm_master_burstcount
	wire  [255:0] mm_interconnect_3_mem_s1_readdata;                              // mem:readdata -> mm_interconnect_3:mem_s1_readdata
	wire   [13:0] mm_interconnect_3_mem_s1_address;                               // mm_interconnect_3:mem_s1_address -> mem:address
	wire          mm_interconnect_3_mem_s1_read;                                  // mm_interconnect_3:mem_s1_read -> mem:read
	wire   [31:0] mm_interconnect_3_mem_s1_byteenable;                            // mm_interconnect_3:mem_s1_byteenable -> mem:byteenable
	wire          mm_interconnect_3_mem_s1_write;                                 // mm_interconnect_3:mem_s1_write -> mem:write
	wire  [255:0] mm_interconnect_3_mem_s1_writedata;                             // mm_interconnect_3:mem_s1_writedata -> mem:writedata
	wire          pcie_ftile_mcdma_p0_h2ddm_master_waitrequest;                   // mm_interconnect_4:pcie_ftile_mcdma_p0_h2ddm_master_waitrequest -> pcie_ftile_mcdma:h2ddm_waitrequest_i
	wire   [63:0] pcie_ftile_mcdma_p0_h2ddm_master_address;                       // pcie_ftile_mcdma:h2ddm_address_o -> mm_interconnect_4:pcie_ftile_mcdma_p0_h2ddm_master_address
	wire   [31:0] pcie_ftile_mcdma_p0_h2ddm_master_byteenable;                    // pcie_ftile_mcdma:h2ddm_byteenable_o -> mm_interconnect_4:pcie_ftile_mcdma_p0_h2ddm_master_byteenable
	wire          pcie_ftile_mcdma_p0_h2ddm_master_write;                         // pcie_ftile_mcdma:h2ddm_write_o -> mm_interconnect_4:pcie_ftile_mcdma_p0_h2ddm_master_write
	wire  [255:0] pcie_ftile_mcdma_p0_h2ddm_master_writedata;                     // pcie_ftile_mcdma:h2ddm_writedata_o -> mm_interconnect_4:pcie_ftile_mcdma_p0_h2ddm_master_writedata
	wire    [4:0] pcie_ftile_mcdma_p0_h2ddm_master_burstcount;                    // pcie_ftile_mcdma:h2ddm_burstcount_o -> mm_interconnect_4:pcie_ftile_mcdma_p0_h2ddm_master_burstcount
	wire  [255:0] mm_interconnect_4_mm_bridge_onchip_mem_s0_readdata;             // mm_bridge_onchip_mem:s0_readdata -> mm_interconnect_4:mm_bridge_onchip_mem_s0_readdata
	wire          mm_interconnect_4_mm_bridge_onchip_mem_s0_waitrequest;          // mm_bridge_onchip_mem:s0_waitrequest -> mm_interconnect_4:mm_bridge_onchip_mem_s0_waitrequest
	wire          mm_interconnect_4_mm_bridge_onchip_mem_s0_debugaccess;          // mm_interconnect_4:mm_bridge_onchip_mem_s0_debugaccess -> mm_bridge_onchip_mem:s0_debugaccess
	wire   [20:0] mm_interconnect_4_mm_bridge_onchip_mem_s0_address;              // mm_interconnect_4:mm_bridge_onchip_mem_s0_address -> mm_bridge_onchip_mem:s0_address
	wire          mm_interconnect_4_mm_bridge_onchip_mem_s0_read;                 // mm_interconnect_4:mm_bridge_onchip_mem_s0_read -> mm_bridge_onchip_mem:s0_read
	wire   [31:0] mm_interconnect_4_mm_bridge_onchip_mem_s0_byteenable;           // mm_interconnect_4:mm_bridge_onchip_mem_s0_byteenable -> mm_bridge_onchip_mem:s0_byteenable
	wire          mm_interconnect_4_mm_bridge_onchip_mem_s0_readdatavalid;        // mm_bridge_onchip_mem:s0_readdatavalid -> mm_interconnect_4:mm_bridge_onchip_mem_s0_readdatavalid
	wire          mm_interconnect_4_mm_bridge_onchip_mem_s0_write;                // mm_interconnect_4:mm_bridge_onchip_mem_s0_write -> mm_bridge_onchip_mem:s0_write
	wire  [255:0] mm_interconnect_4_mm_bridge_onchip_mem_s0_writedata;            // mm_interconnect_4:mm_bridge_onchip_mem_s0_writedata -> mm_bridge_onchip_mem:s0_writedata
	wire    [4:0] mm_interconnect_4_mm_bridge_onchip_mem_s0_burstcount;           // mm_interconnect_4:mm_bridge_onchip_mem_s0_burstcount -> mm_bridge_onchip_mem:s0_burstcount
	wire          rst_controller_reset_out_reset;                                 // rst_controller:reset_out -> [BAM_INTERPRETER:reset_i, mem:reset, pio_button:reset_n, pio_led:reset_n, rst_translator:in_reset]
	wire          rst_controller_reset_out_reset_req;                             // rst_controller:reset_req -> [mem:reset_req, rst_translator:reset_req_in]

	pcie_ed_BAM_INTERPRETER bam_interpreter (
		.clk_i               (pcie_ftile_mcdma_app_clk_clk),                                   //   input,    width = 1,            clock.clk
		.reset_i             (rst_controller_reset_out_reset),                                 //   input,    width = 1,            reset.reset
		.bam_read_i          (mm_interconnect_2_bam_interpreter_avmm_bam_slave_read),          //   input,    width = 1,   AVMM_BAM_Slave.read
		.bam_write_i         (mm_interconnect_2_bam_interpreter_avmm_bam_slave_write),         //   input,    width = 1,                 .write
		.bam_address_i       (mm_interconnect_2_bam_interpreter_avmm_bam_slave_address),       //   input,   width = 30,                 .address
		.bam_burstcount_i    (mm_interconnect_2_bam_interpreter_avmm_bam_slave_burstcount),    //   input,    width = 5,                 .burstcount
		.bam_byteenable_i    (mm_interconnect_2_bam_interpreter_avmm_bam_slave_byteenable),    //   input,   width = 32,                 .byteenable
		.bam_writedata_i     (mm_interconnect_2_bam_interpreter_avmm_bam_slave_writedata),     //   input,  width = 256,                 .writedata
		.bam_waitrequest_o   (mm_interconnect_2_bam_interpreter_avmm_bam_slave_waitrequest),   //  output,    width = 1,                 .waitrequest
		.bam_readdata_o      (mm_interconnect_2_bam_interpreter_avmm_bam_slave_readdata),      //  output,  width = 256,                 .readdata
		.bam_readdatavalid_o (mm_interconnect_2_bam_interpreter_avmm_bam_slave_readdatavalid), //  output,    width = 1,                 .readdatavalid
		.bam_response_o      (mm_interconnect_2_bam_interpreter_avmm_bam_slave_response),      //  output,    width = 2,                 .response
		.bam_vfactive_o      (),                                                               //  output,    width = 1, AVMM_BAM_Conduit.vfenable
		.bam_pfnum_o         (),                                                               //  output,    width = 1,                 .pfnum
		.bam_vfnum_o         (),                                                               //  output,    width = 1,                 .vfnum
		.bam_read_o          (bam_interpreter_avmm_bam_master_read),                           //  output,    width = 1,  AVMM_BAM_Master.read
		.bam_write_o         (bam_interpreter_avmm_bam_master_write),                          //  output,    width = 1,                 .write
		.bam_address_o       (bam_interpreter_avmm_bam_master_address),                        //  output,   width = 27,                 .address
		.bam_burstcount_o    (bam_interpreter_avmm_bam_master_burstcount),                     //  output,    width = 5,                 .burstcount
		.bam_byteenable_o    (bam_interpreter_avmm_bam_master_byteenable),                     //  output,   width = 32,                 .byteenable
		.bam_writedata_o     (bam_interpreter_avmm_bam_master_writedata),                      //  output,  width = 256,                 .writedata
		.bam_waitrequest_i   (bam_interpreter_avmm_bam_master_waitrequest),                    //   input,    width = 1,                 .waitrequest
		.bam_readdata_i      (bam_interpreter_avmm_bam_master_readdata),                       //   input,  width = 256,                 .readdata
		.bam_readdatavalid_i (bam_interpreter_avmm_bam_master_readdatavalid)                   //   input,    width = 1,                 .readdatavalid
	);

	onchip_memory_0 mem (
		.clk         (pcie_ftile_mcdma_app_clk_clk),        //   input,    width = 1,   clk1.clk
		.address     (mm_interconnect_3_mem_s1_address),    //   input,   width = 14,     s1.address
		.read        (mm_interconnect_3_mem_s1_read),       //   input,    width = 1,       .read
		.readdata    (mm_interconnect_3_mem_s1_readdata),   //  output,  width = 256,       .readdata
		.byteenable  (mm_interconnect_3_mem_s1_byteenable), //   input,   width = 32,       .byteenable
		.write       (mm_interconnect_3_mem_s1_write),      //   input,    width = 1,       .write
		.writedata   (mm_interconnect_3_mem_s1_writedata),  //   input,  width = 256,       .writedata
		.reset       (rst_controller_reset_out_reset),      //   input,    width = 1, reset1.reset
		.reset_req   (rst_controller_reset_out_reset_req),  //   input,    width = 1,       .reset_req
		.address2    (mm_interconnect_1_mem_s2_address),    //   input,   width = 14,     s2.address
		.read2       (mm_interconnect_1_mem_s2_read),       //   input,    width = 1,       .read
		.readdata2   (mm_interconnect_1_mem_s2_readdata),   //  output,  width = 256,       .readdata
		.byteenable2 (mm_interconnect_1_mem_s2_byteenable), //   input,   width = 32,       .byteenable
		.write2      (mm_interconnect_1_mem_s2_write),      //   input,    width = 1,       .write
		.writedata2  (mm_interconnect_1_mem_s2_writedata)   //   input,  width = 256,       .writedata
	);

	mm_bridge_bar4 mm_bridge_bar4 (
		.clk              (pcie_ftile_mcdma_app_clk_clk),                      //   input,    width = 1,   clk.clk
		.reset            (~pcie_ftile_mcdma_app_nreset_status_reset),         //   input,    width = 1, reset.reset
		.s0_waitrequest   (mm_interconnect_0_mm_bridge_bar4_s0_waitrequest),   //  output,    width = 1,    s0.waitrequest
		.s0_readdata      (mm_interconnect_0_mm_bridge_bar4_s0_readdata),      //  output,  width = 256,      .readdata
		.s0_readdatavalid (mm_interconnect_0_mm_bridge_bar4_s0_readdatavalid), //  output,    width = 1,      .readdatavalid
		.s0_burstcount    (mm_interconnect_0_mm_bridge_bar4_s0_burstcount),    //   input,    width = 5,      .burstcount
		.s0_writedata     (mm_interconnect_0_mm_bridge_bar4_s0_writedata),     //   input,  width = 256,      .writedata
		.s0_address       (mm_interconnect_0_mm_bridge_bar4_s0_address),       //   input,   width = 24,      .address
		.s0_write         (mm_interconnect_0_mm_bridge_bar4_s0_write),         //   input,    width = 1,      .write
		.s0_read          (mm_interconnect_0_mm_bridge_bar4_s0_read),          //   input,    width = 1,      .read
		.s0_byteenable    (mm_interconnect_0_mm_bridge_bar4_s0_byteenable),    //   input,   width = 32,      .byteenable
		.s0_debugaccess   (mm_interconnect_0_mm_bridge_bar4_s0_debugaccess),   //   input,    width = 1,      .debugaccess
		.m0_waitrequest   (mm_bridge_bar4_m0_waitrequest),                     //   input,    width = 1,    m0.waitrequest
		.m0_readdata      (mm_bridge_bar4_m0_readdata),                        //   input,  width = 256,      .readdata
		.m0_readdatavalid (mm_bridge_bar4_m0_readdatavalid),                   //   input,    width = 1,      .readdatavalid
		.m0_burstcount    (mm_bridge_bar4_m0_burstcount),                      //  output,    width = 5,      .burstcount
		.m0_writedata     (mm_bridge_bar4_m0_writedata),                       //  output,  width = 256,      .writedata
		.m0_address       (mm_bridge_bar4_m0_address),                         //  output,   width = 24,      .address
		.m0_write         (mm_bridge_bar4_m0_write),                           //  output,    width = 1,      .write
		.m0_read          (mm_bridge_bar4_m0_read),                            //  output,    width = 1,      .read
		.m0_byteenable    (mm_bridge_bar4_m0_byteenable),                      //  output,   width = 32,      .byteenable
		.m0_debugaccess   (mm_bridge_bar4_m0_debugaccess)                      //  output,    width = 1,      .debugaccess
	);

	mm_bridge_onchip_mem mm_bridge_onchip_mem (
		.clk              (pcie_ftile_mcdma_app_clk_clk),                            //   input,    width = 1,   clk.clk
		.reset            (~pcie_ftile_mcdma_app_nreset_status_reset),               //   input,    width = 1, reset.reset
		.s0_waitrequest   (mm_interconnect_4_mm_bridge_onchip_mem_s0_waitrequest),   //  output,    width = 1,    s0.waitrequest
		.s0_readdata      (mm_interconnect_4_mm_bridge_onchip_mem_s0_readdata),      //  output,  width = 256,      .readdata
		.s0_readdatavalid (mm_interconnect_4_mm_bridge_onchip_mem_s0_readdatavalid), //  output,    width = 1,      .readdatavalid
		.s0_burstcount    (mm_interconnect_4_mm_bridge_onchip_mem_s0_burstcount),    //   input,    width = 5,      .burstcount
		.s0_writedata     (mm_interconnect_4_mm_bridge_onchip_mem_s0_writedata),     //   input,  width = 256,      .writedata
		.s0_address       (mm_interconnect_4_mm_bridge_onchip_mem_s0_address),       //   input,   width = 21,      .address
		.s0_write         (mm_interconnect_4_mm_bridge_onchip_mem_s0_write),         //   input,    width = 1,      .write
		.s0_read          (mm_interconnect_4_mm_bridge_onchip_mem_s0_read),          //   input,    width = 1,      .read
		.s0_byteenable    (mm_interconnect_4_mm_bridge_onchip_mem_s0_byteenable),    //   input,   width = 32,      .byteenable
		.s0_debugaccess   (mm_interconnect_4_mm_bridge_onchip_mem_s0_debugaccess),   //   input,    width = 1,      .debugaccess
		.m0_waitrequest   (mm_bridge_onchip_mem_m0_waitrequest),                     //   input,    width = 1,    m0.waitrequest
		.m0_readdata      (mm_bridge_onchip_mem_m0_readdata),                        //   input,  width = 256,      .readdata
		.m0_readdatavalid (mm_bridge_onchip_mem_m0_readdatavalid),                   //   input,    width = 1,      .readdatavalid
		.m0_burstcount    (mm_bridge_onchip_mem_m0_burstcount),                      //  output,    width = 5,      .burstcount
		.m0_writedata     (mm_bridge_onchip_mem_m0_writedata),                       //  output,  width = 256,      .writedata
		.m0_address       (mm_bridge_onchip_mem_m0_address),                         //  output,   width = 21,      .address
		.m0_write         (mm_bridge_onchip_mem_m0_write),                           //  output,    width = 1,      .write
		.m0_read          (mm_bridge_onchip_mem_m0_read),                            //  output,    width = 1,      .read
		.m0_byteenable    (mm_bridge_onchip_mem_m0_byteenable),                      //  output,   width = 32,      .byteenable
		.m0_debugaccess   (mm_bridge_onchip_mem_m0_debugaccess)                      //  output,    width = 1,      .debugaccess
	);

	pcie_ftile_mcdma pcie_ftile_mcdma (
		.app_clk                (pcie_ftile_mcdma_app_clk_clk),                   //  output,    width = 1,            app_clk.clk
		.app_rst_n              (pcie_ftile_mcdma_app_nreset_status_reset),       //  output,    width = 1,  app_nreset_status.reset_n
		.d2hdm_waitrequest_i    (pcie_ftile_mcdma_p0_d2hdm_master_waitrequest),   //   input,    width = 1,    p0_d2hdm_master.waitrequest
		.d2hdm_read_o           (pcie_ftile_mcdma_p0_d2hdm_master_read),          //  output,    width = 1,                   .read
		.d2hdm_address_o        (pcie_ftile_mcdma_p0_d2hdm_master_address),       //  output,   width = 64,                   .address
		.d2hdm_burstcount_o     (pcie_ftile_mcdma_p0_d2hdm_master_burstcount),    //  output,    width = 5,                   .burstcount
		.d2hdm_byteenable_o     (pcie_ftile_mcdma_p0_d2hdm_master_byteenable),    //  output,   width = 32,                   .byteenable
		.d2hdm_readdatavalid_i  (pcie_ftile_mcdma_p0_d2hdm_master_readdatavalid), //   input,    width = 1,                   .readdatavalid
		.d2hdm_readdata_i       (pcie_ftile_mcdma_p0_d2hdm_master_readdata),      //   input,  width = 256,                   .readdata
		.d2hdm_response_i       (pcie_ftile_mcdma_p0_d2hdm_master_response),      //   input,    width = 2,                   .response
		.h2ddm_waitrequest_i    (pcie_ftile_mcdma_p0_h2ddm_master_waitrequest),   //   input,    width = 1,    p0_h2ddm_master.waitrequest
		.h2ddm_write_o          (pcie_ftile_mcdma_p0_h2ddm_master_write),         //  output,    width = 1,                   .write
		.h2ddm_address_o        (pcie_ftile_mcdma_p0_h2ddm_master_address),       //  output,   width = 64,                   .address
		.h2ddm_burstcount_o     (pcie_ftile_mcdma_p0_h2ddm_master_burstcount),    //  output,    width = 5,                   .burstcount
		.h2ddm_byteenable_o     (pcie_ftile_mcdma_p0_h2ddm_master_byteenable),    //  output,   width = 32,                   .byteenable
		.h2ddm_writedata_o      (pcie_ftile_mcdma_p0_h2ddm_master_writedata),     //  output,  width = 256,                   .writedata
		.bam_waitrequest_i      (pcie_ftile_mcdma_p0_bam_master_waitrequest),     //   input,    width = 1,      p0_bam_master.waitrequest
		.bam_address_o          (pcie_ftile_mcdma_p0_bam_master_address),         //  output,   width = 30,                   .address
		.bam_byteenable_o       (pcie_ftile_mcdma_p0_bam_master_byteenable),      //  output,   width = 32,                   .byteenable
		.bam_read_o             (pcie_ftile_mcdma_p0_bam_master_read),            //  output,    width = 1,                   .read
		.bam_readdata_i         (pcie_ftile_mcdma_p0_bam_master_readdata),        //   input,  width = 256,                   .readdata
		.bam_readdatavalid_i    (pcie_ftile_mcdma_p0_bam_master_readdatavalid),   //   input,    width = 1,                   .readdatavalid
		.bam_write_o            (pcie_ftile_mcdma_p0_bam_master_write),           //  output,    width = 1,                   .write
		.bam_writedata_o        (pcie_ftile_mcdma_p0_bam_master_writedata),       //  output,  width = 256,                   .writedata
		.bam_burstcount_o       (pcie_ftile_mcdma_p0_bam_master_burstcount),      //  output,    width = 5,                   .burstcount
		.usr_hip_tl_cfg_func_o  (),                                               //  output,    width = 3,   p0_usr_config_tl.tl_cfg_func
		.usr_hip_tl_cfg_add_o   (),                                               //  output,    width = 5,                   .tl_cfg_add
		.usr_hip_tl_cfg_ctl_o   (),                                               //  output,   width = 16,                   .tl_cfg_ctl
		.p0_link_up_o           (),                                               //  output,    width = 1,      p0_hip_status.link_up
		.p0_dl_up_o             (),                                               //  output,    width = 1,                   .dl_up
		.p0_surprise_down_err_o (),                                               //  output,    width = 1,                   .surprise_down_err
		.p0_ltssm_state_o       (),                                               //  output,    width = 6,                   .ltssmstate
		.refclk0                (systemclk_f_out_refclk_fgt_0_clk),               //   input,    width = 1,            refclk0.clk
		.refclk1                (systemclk_f_out_refclk_fgt_0_clk),               //   input,    width = 1,            refclk1.clk
		.pcie_systempll_clk     (systemclk_f_out_systempll_clk_0_clk),            //   input,    width = 1, pcie_systempll_clk.clk
		.ninit_done             (resetip_ninit_done_reset),                       //   input,    width = 1,         ninit_done.reset
		.rx_n_in0               (hip_serial_rx_n_in0),                            //   input,    width = 1,         hip_serial.rx_n_in0
		.rx_n_in1               (hip_serial_rx_n_in1),                            //   input,    width = 1,                   .rx_n_in1
		.rx_n_in2               (hip_serial_rx_n_in2),                            //   input,    width = 1,                   .rx_n_in2
		.rx_n_in3               (hip_serial_rx_n_in3),                            //   input,    width = 1,                   .rx_n_in3
		.rx_n_in4               (hip_serial_rx_n_in4),                            //   input,    width = 1,                   .rx_n_in4
		.rx_n_in5               (hip_serial_rx_n_in5),                            //   input,    width = 1,                   .rx_n_in5
		.rx_n_in6               (hip_serial_rx_n_in6),                            //   input,    width = 1,                   .rx_n_in6
		.rx_n_in7               (hip_serial_rx_n_in7),                            //   input,    width = 1,                   .rx_n_in7
		.rx_p_in0               (hip_serial_rx_p_in0),                            //   input,    width = 1,                   .rx_p_in0
		.rx_p_in1               (hip_serial_rx_p_in1),                            //   input,    width = 1,                   .rx_p_in1
		.rx_p_in2               (hip_serial_rx_p_in2),                            //   input,    width = 1,                   .rx_p_in2
		.rx_p_in3               (hip_serial_rx_p_in3),                            //   input,    width = 1,                   .rx_p_in3
		.rx_p_in4               (hip_serial_rx_p_in4),                            //   input,    width = 1,                   .rx_p_in4
		.rx_p_in5               (hip_serial_rx_p_in5),                            //   input,    width = 1,                   .rx_p_in5
		.rx_p_in6               (hip_serial_rx_p_in6),                            //   input,    width = 1,                   .rx_p_in6
		.rx_p_in7               (hip_serial_rx_p_in7),                            //   input,    width = 1,                   .rx_p_in7
		.tx_n_out0              (hip_serial_tx_n_out0),                           //  output,    width = 1,                   .tx_n_out0
		.tx_n_out1              (hip_serial_tx_n_out1),                           //  output,    width = 1,                   .tx_n_out1
		.tx_n_out2              (hip_serial_tx_n_out2),                           //  output,    width = 1,                   .tx_n_out2
		.tx_n_out3              (hip_serial_tx_n_out3),                           //  output,    width = 1,                   .tx_n_out3
		.tx_n_out4              (hip_serial_tx_n_out4),                           //  output,    width = 1,                   .tx_n_out4
		.tx_n_out5              (hip_serial_tx_n_out5),                           //  output,    width = 1,                   .tx_n_out5
		.tx_n_out6              (hip_serial_tx_n_out6),                           //  output,    width = 1,                   .tx_n_out6
		.tx_n_out7              (hip_serial_tx_n_out7),                           //  output,    width = 1,                   .tx_n_out7
		.tx_p_out0              (hip_serial_tx_p_out0),                           //  output,    width = 1,                   .tx_p_out0
		.tx_p_out1              (hip_serial_tx_p_out1),                           //  output,    width = 1,                   .tx_p_out1
		.tx_p_out2              (hip_serial_tx_p_out2),                           //  output,    width = 1,                   .tx_p_out2
		.tx_p_out3              (hip_serial_tx_p_out3),                           //  output,    width = 1,                   .tx_p_out3
		.tx_p_out4              (hip_serial_tx_p_out4),                           //  output,    width = 1,                   .tx_p_out4
		.tx_p_out5              (hip_serial_tx_p_out5),                           //  output,    width = 1,                   .tx_p_out5
		.tx_p_out6              (hip_serial_tx_p_out6),                           //  output,    width = 1,                   .tx_p_out6
		.tx_p_out7              (hip_serial_tx_p_out7),                           //  output,    width = 1,                   .tx_p_out7
		.pin_perst_n            (pin_perst_reset_n)                               //   input,    width = 1,          pin_perst.reset_n
	);

	pio_button pio_button (
		.clk      (pcie_ftile_mcdma_app_clk_clk),             //   input,   width = 1,                 clk.clk
		.reset_n  (~rst_controller_reset_out_reset),          //   input,   width = 1,               reset.reset_n
		.address  (mm_interconnect_1_pio_button_s1_address),  //   input,   width = 2,                  s1.address
		.readdata (mm_interconnect_1_pio_button_s1_readdata), //  output,  width = 32,                    .readdata
		.in_port  (pio_button_export)                         //   input,   width = 2, external_connection.export
	);

	pio_led pio_led (
		.clk        (pcie_ftile_mcdma_app_clk_clk),            //   input,   width = 1,                 clk.clk
		.reset_n    (~rst_controller_reset_out_reset),         //   input,   width = 1,               reset.reset_n
		.address    (mm_interconnect_1_pio_led_s1_address),    //   input,   width = 2,                  s1.address
		.write_n    (~mm_interconnect_1_pio_led_s1_write),     //   input,   width = 1,                    .write_n
		.writedata  (mm_interconnect_1_pio_led_s1_writedata),  //   input,  width = 32,                    .writedata
		.chipselect (mm_interconnect_1_pio_led_s1_chipselect), //   input,   width = 1,                    .chipselect
		.readdata   (mm_interconnect_1_pio_led_s1_readdata),   //  output,  width = 32,                    .readdata
		.out_port   (pio_led_export)                           //  output,   width = 2, external_connection.export
	);

	pcie_ed_resetIP resetip (
		.ninit_done (resetip_ninit_done_reset)  //  output,  width = 1, ninit_done.reset
	);

	systemclk_f systemclk_f (
		.out_systempll_synthlock_0 (),                                    //  output,  width = 1, out_systempll_synthlock_0.out_systempll_synthlock
		.out_systempll_clk_0       (systemclk_f_out_systempll_clk_0_clk), //  output,  width = 1,       out_systempll_clk_0.clk
		.out_refclk_fgt_0          (systemclk_f_out_refclk_fgt_0_clk),    //  output,  width = 1,          out_refclk_fgt_0.clk
		.in_refclk_fgt_0           (pll_in_refclk_fgt_0)                  //   input,  width = 1,                refclk_fgt.in_refclk_fgt_0
	);

	pcie_ed_altera_mm_interconnect_1920_w5nv5ra mm_interconnect_0 (
		.BAM_INTERPRETER_AVMM_BAM_Master_address           (bam_interpreter_avmm_bam_master_address),           //   input,   width = 27,             BAM_INTERPRETER_AVMM_BAM_Master.address
		.BAM_INTERPRETER_AVMM_BAM_Master_waitrequest       (bam_interpreter_avmm_bam_master_waitrequest),       //  output,    width = 1,                                            .waitrequest
		.BAM_INTERPRETER_AVMM_BAM_Master_burstcount        (bam_interpreter_avmm_bam_master_burstcount),        //   input,    width = 5,                                            .burstcount
		.BAM_INTERPRETER_AVMM_BAM_Master_byteenable        (bam_interpreter_avmm_bam_master_byteenable),        //   input,   width = 32,                                            .byteenable
		.BAM_INTERPRETER_AVMM_BAM_Master_read              (bam_interpreter_avmm_bam_master_read),              //   input,    width = 1,                                            .read
		.BAM_INTERPRETER_AVMM_BAM_Master_readdata          (bam_interpreter_avmm_bam_master_readdata),          //  output,  width = 256,                                            .readdata
		.BAM_INTERPRETER_AVMM_BAM_Master_readdatavalid     (bam_interpreter_avmm_bam_master_readdatavalid),     //  output,    width = 1,                                            .readdatavalid
		.BAM_INTERPRETER_AVMM_BAM_Master_write             (bam_interpreter_avmm_bam_master_write),             //   input,    width = 1,                                            .write
		.BAM_INTERPRETER_AVMM_BAM_Master_writedata         (bam_interpreter_avmm_bam_master_writedata),         //   input,  width = 256,                                            .writedata
		.mm_bridge_bar4_s0_address                         (mm_interconnect_0_mm_bridge_bar4_s0_address),       //  output,   width = 24,                           mm_bridge_bar4_s0.address
		.mm_bridge_bar4_s0_write                           (mm_interconnect_0_mm_bridge_bar4_s0_write),         //  output,    width = 1,                                            .write
		.mm_bridge_bar4_s0_read                            (mm_interconnect_0_mm_bridge_bar4_s0_read),          //  output,    width = 1,                                            .read
		.mm_bridge_bar4_s0_readdata                        (mm_interconnect_0_mm_bridge_bar4_s0_readdata),      //   input,  width = 256,                                            .readdata
		.mm_bridge_bar4_s0_writedata                       (mm_interconnect_0_mm_bridge_bar4_s0_writedata),     //  output,  width = 256,                                            .writedata
		.mm_bridge_bar4_s0_burstcount                      (mm_interconnect_0_mm_bridge_bar4_s0_burstcount),    //  output,    width = 5,                                            .burstcount
		.mm_bridge_bar4_s0_byteenable                      (mm_interconnect_0_mm_bridge_bar4_s0_byteenable),    //  output,   width = 32,                                            .byteenable
		.mm_bridge_bar4_s0_readdatavalid                   (mm_interconnect_0_mm_bridge_bar4_s0_readdatavalid), //   input,    width = 1,                                            .readdatavalid
		.mm_bridge_bar4_s0_waitrequest                     (mm_interconnect_0_mm_bridge_bar4_s0_waitrequest),   //   input,    width = 1,                                            .waitrequest
		.mm_bridge_bar4_s0_debugaccess                     (mm_interconnect_0_mm_bridge_bar4_s0_debugaccess),   //  output,    width = 1,                                            .debugaccess
		.BAM_INTERPRETER_reset_reset_bridge_in_reset_reset (~pcie_ftile_mcdma_app_nreset_status_reset),         //   input,    width = 1, BAM_INTERPRETER_reset_reset_bridge_in_reset.reset
		.mm_bridge_bar4_reset_reset_bridge_in_reset_reset  (~pcie_ftile_mcdma_app_nreset_status_reset),         //   input,    width = 1,  mm_bridge_bar4_reset_reset_bridge_in_reset.reset
		.pcie_ftile_mcdma_app_clk_clk                      (pcie_ftile_mcdma_app_clk_clk)                       //   input,    width = 1,                    pcie_ftile_mcdma_app_clk.clk
	);

	pcie_ed_altera_mm_interconnect_1920_6qscouq mm_interconnect_1 (
		.mm_bridge_bar4_m0_address                        (mm_bridge_bar4_m0_address),                 //   input,   width = 24,                          mm_bridge_bar4_m0.address
		.mm_bridge_bar4_m0_waitrequest                    (mm_bridge_bar4_m0_waitrequest),             //  output,    width = 1,                                           .waitrequest
		.mm_bridge_bar4_m0_burstcount                     (mm_bridge_bar4_m0_burstcount),              //   input,    width = 5,                                           .burstcount
		.mm_bridge_bar4_m0_byteenable                     (mm_bridge_bar4_m0_byteenable),              //   input,   width = 32,                                           .byteenable
		.mm_bridge_bar4_m0_read                           (mm_bridge_bar4_m0_read),                    //   input,    width = 1,                                           .read
		.mm_bridge_bar4_m0_readdata                       (mm_bridge_bar4_m0_readdata),                //  output,  width = 256,                                           .readdata
		.mm_bridge_bar4_m0_readdatavalid                  (mm_bridge_bar4_m0_readdatavalid),           //  output,    width = 1,                                           .readdatavalid
		.mm_bridge_bar4_m0_write                          (mm_bridge_bar4_m0_write),                   //   input,    width = 1,                                           .write
		.mm_bridge_bar4_m0_writedata                      (mm_bridge_bar4_m0_writedata),               //   input,  width = 256,                                           .writedata
		.mm_bridge_bar4_m0_debugaccess                    (mm_bridge_bar4_m0_debugaccess),             //   input,    width = 1,                                           .debugaccess
		.mm_bridge_onchip_mem_m0_address                  (mm_bridge_onchip_mem_m0_address),           //   input,   width = 21,                    mm_bridge_onchip_mem_m0.address
		.mm_bridge_onchip_mem_m0_waitrequest              (mm_bridge_onchip_mem_m0_waitrequest),       //  output,    width = 1,                                           .waitrequest
		.mm_bridge_onchip_mem_m0_burstcount               (mm_bridge_onchip_mem_m0_burstcount),        //   input,    width = 5,                                           .burstcount
		.mm_bridge_onchip_mem_m0_byteenable               (mm_bridge_onchip_mem_m0_byteenable),        //   input,   width = 32,                                           .byteenable
		.mm_bridge_onchip_mem_m0_read                     (mm_bridge_onchip_mem_m0_read),              //   input,    width = 1,                                           .read
		.mm_bridge_onchip_mem_m0_readdata                 (mm_bridge_onchip_mem_m0_readdata),          //  output,  width = 256,                                           .readdata
		.mm_bridge_onchip_mem_m0_readdatavalid            (mm_bridge_onchip_mem_m0_readdatavalid),     //  output,    width = 1,                                           .readdatavalid
		.mm_bridge_onchip_mem_m0_write                    (mm_bridge_onchip_mem_m0_write),             //   input,    width = 1,                                           .write
		.mm_bridge_onchip_mem_m0_writedata                (mm_bridge_onchip_mem_m0_writedata),         //   input,  width = 256,                                           .writedata
		.mm_bridge_onchip_mem_m0_debugaccess              (mm_bridge_onchip_mem_m0_debugaccess),       //   input,    width = 1,                                           .debugaccess
		.pio_button_s1_address                            (mm_interconnect_1_pio_button_s1_address),   //  output,    width = 2,                              pio_button_s1.address
		.pio_button_s1_readdata                           (mm_interconnect_1_pio_button_s1_readdata),  //   input,   width = 32,                                           .readdata
		.pio_led_s1_address                               (mm_interconnect_1_pio_led_s1_address),      //  output,    width = 2,                                 pio_led_s1.address
		.pio_led_s1_write                                 (mm_interconnect_1_pio_led_s1_write),        //  output,    width = 1,                                           .write
		.pio_led_s1_readdata                              (mm_interconnect_1_pio_led_s1_readdata),     //   input,   width = 32,                                           .readdata
		.pio_led_s1_writedata                             (mm_interconnect_1_pio_led_s1_writedata),    //  output,   width = 32,                                           .writedata
		.pio_led_s1_chipselect                            (mm_interconnect_1_pio_led_s1_chipselect),   //  output,    width = 1,                                           .chipselect
		.mem_s2_address                                   (mm_interconnect_1_mem_s2_address),          //  output,   width = 14,                                     mem_s2.address
		.mem_s2_write                                     (mm_interconnect_1_mem_s2_write),            //  output,    width = 1,                                           .write
		.mem_s2_read                                      (mm_interconnect_1_mem_s2_read),             //  output,    width = 1,                                           .read
		.mem_s2_readdata                                  (mm_interconnect_1_mem_s2_readdata),         //   input,  width = 256,                                           .readdata
		.mem_s2_writedata                                 (mm_interconnect_1_mem_s2_writedata),        //  output,  width = 256,                                           .writedata
		.mem_s2_byteenable                                (mm_interconnect_1_mem_s2_byteenable),       //  output,   width = 32,                                           .byteenable
		.mm_bridge_bar4_reset_reset_bridge_in_reset_reset (~pcie_ftile_mcdma_app_nreset_status_reset), //   input,    width = 1, mm_bridge_bar4_reset_reset_bridge_in_reset.reset
		.pio_button_reset_reset_bridge_in_reset_reset     (~pcie_ftile_mcdma_app_nreset_status_reset), //   input,    width = 1,     pio_button_reset_reset_bridge_in_reset.reset
		.pcie_ftile_mcdma_app_clk_clk                     (pcie_ftile_mcdma_app_clk_clk)               //   input,    width = 1,                   pcie_ftile_mcdma_app_clk.clk
	);

	pcie_ed_altera_mm_interconnect_1920_xcf7loq mm_interconnect_2 (
		.pcie_ftile_mcdma_p0_bam_master_address                                      (pcie_ftile_mcdma_p0_bam_master_address),                         //   input,   width = 30,                                        pcie_ftile_mcdma_p0_bam_master.address
		.pcie_ftile_mcdma_p0_bam_master_waitrequest                                  (pcie_ftile_mcdma_p0_bam_master_waitrequest),                     //  output,    width = 1,                                                                      .waitrequest
		.pcie_ftile_mcdma_p0_bam_master_burstcount                                   (pcie_ftile_mcdma_p0_bam_master_burstcount),                      //   input,    width = 5,                                                                      .burstcount
		.pcie_ftile_mcdma_p0_bam_master_byteenable                                   (pcie_ftile_mcdma_p0_bam_master_byteenable),                      //   input,   width = 32,                                                                      .byteenable
		.pcie_ftile_mcdma_p0_bam_master_read                                         (pcie_ftile_mcdma_p0_bam_master_read),                            //   input,    width = 1,                                                                      .read
		.pcie_ftile_mcdma_p0_bam_master_readdata                                     (pcie_ftile_mcdma_p0_bam_master_readdata),                        //  output,  width = 256,                                                                      .readdata
		.pcie_ftile_mcdma_p0_bam_master_readdatavalid                                (pcie_ftile_mcdma_p0_bam_master_readdatavalid),                   //  output,    width = 1,                                                                      .readdatavalid
		.pcie_ftile_mcdma_p0_bam_master_write                                        (pcie_ftile_mcdma_p0_bam_master_write),                           //   input,    width = 1,                                                                      .write
		.pcie_ftile_mcdma_p0_bam_master_writedata                                    (pcie_ftile_mcdma_p0_bam_master_writedata),                       //   input,  width = 256,                                                                      .writedata
		.BAM_INTERPRETER_AVMM_BAM_Slave_address                                      (mm_interconnect_2_bam_interpreter_avmm_bam_slave_address),       //  output,   width = 30,                                        BAM_INTERPRETER_AVMM_BAM_Slave.address
		.BAM_INTERPRETER_AVMM_BAM_Slave_write                                        (mm_interconnect_2_bam_interpreter_avmm_bam_slave_write),         //  output,    width = 1,                                                                      .write
		.BAM_INTERPRETER_AVMM_BAM_Slave_read                                         (mm_interconnect_2_bam_interpreter_avmm_bam_slave_read),          //  output,    width = 1,                                                                      .read
		.BAM_INTERPRETER_AVMM_BAM_Slave_readdata                                     (mm_interconnect_2_bam_interpreter_avmm_bam_slave_readdata),      //   input,  width = 256,                                                                      .readdata
		.BAM_INTERPRETER_AVMM_BAM_Slave_writedata                                    (mm_interconnect_2_bam_interpreter_avmm_bam_slave_writedata),     //  output,  width = 256,                                                                      .writedata
		.BAM_INTERPRETER_AVMM_BAM_Slave_burstcount                                   (mm_interconnect_2_bam_interpreter_avmm_bam_slave_burstcount),    //  output,    width = 5,                                                                      .burstcount
		.BAM_INTERPRETER_AVMM_BAM_Slave_byteenable                                   (mm_interconnect_2_bam_interpreter_avmm_bam_slave_byteenable),    //  output,   width = 32,                                                                      .byteenable
		.BAM_INTERPRETER_AVMM_BAM_Slave_readdatavalid                                (mm_interconnect_2_bam_interpreter_avmm_bam_slave_readdatavalid), //   input,    width = 1,                                                                      .readdatavalid
		.BAM_INTERPRETER_AVMM_BAM_Slave_waitrequest                                  (mm_interconnect_2_bam_interpreter_avmm_bam_slave_waitrequest),   //   input,    width = 1,                                                                      .waitrequest
		.BAM_INTERPRETER_AVMM_BAM_Slave_response                                     (mm_interconnect_2_bam_interpreter_avmm_bam_slave_response),      //   input,    width = 2,                                                                      .response
		.BAM_INTERPRETER_reset_reset_bridge_in_reset_reset                           (~pcie_ftile_mcdma_app_nreset_status_reset),                      //   input,    width = 1,                           BAM_INTERPRETER_reset_reset_bridge_in_reset.reset
		.pcie_ftile_mcdma_p0_bam_master_translator_reset_reset_bridge_in_reset_reset (~pcie_ftile_mcdma_app_nreset_status_reset),                      //   input,    width = 1, pcie_ftile_mcdma_p0_bam_master_translator_reset_reset_bridge_in_reset.reset
		.pcie_ftile_mcdma_app_clk_clk                                                (pcie_ftile_mcdma_app_clk_clk)                                    //   input,    width = 1,                                              pcie_ftile_mcdma_app_clk.clk
	);

	pcie_ed_altera_mm_interconnect_1920_ysjxsja mm_interconnect_3 (
		.pcie_ftile_mcdma_p0_d2hdm_master_address                                      (pcie_ftile_mcdma_p0_d2hdm_master_address),       //   input,   width = 64,                                        pcie_ftile_mcdma_p0_d2hdm_master.address
		.pcie_ftile_mcdma_p0_d2hdm_master_waitrequest                                  (pcie_ftile_mcdma_p0_d2hdm_master_waitrequest),   //  output,    width = 1,                                                                        .waitrequest
		.pcie_ftile_mcdma_p0_d2hdm_master_burstcount                                   (pcie_ftile_mcdma_p0_d2hdm_master_burstcount),    //   input,    width = 5,                                                                        .burstcount
		.pcie_ftile_mcdma_p0_d2hdm_master_byteenable                                   (pcie_ftile_mcdma_p0_d2hdm_master_byteenable),    //   input,   width = 32,                                                                        .byteenable
		.pcie_ftile_mcdma_p0_d2hdm_master_read                                         (pcie_ftile_mcdma_p0_d2hdm_master_read),          //   input,    width = 1,                                                                        .read
		.pcie_ftile_mcdma_p0_d2hdm_master_readdata                                     (pcie_ftile_mcdma_p0_d2hdm_master_readdata),      //  output,  width = 256,                                                                        .readdata
		.pcie_ftile_mcdma_p0_d2hdm_master_readdatavalid                                (pcie_ftile_mcdma_p0_d2hdm_master_readdatavalid), //  output,    width = 1,                                                                        .readdatavalid
		.pcie_ftile_mcdma_p0_d2hdm_master_response                                     (pcie_ftile_mcdma_p0_d2hdm_master_response),      //  output,    width = 2,                                                                        .response
		.mem_s1_address                                                                (mm_interconnect_3_mem_s1_address),               //  output,   width = 14,                                                                  mem_s1.address
		.mem_s1_write                                                                  (mm_interconnect_3_mem_s1_write),                 //  output,    width = 1,                                                                        .write
		.mem_s1_read                                                                   (mm_interconnect_3_mem_s1_read),                  //  output,    width = 1,                                                                        .read
		.mem_s1_readdata                                                               (mm_interconnect_3_mem_s1_readdata),              //   input,  width = 256,                                                                        .readdata
		.mem_s1_writedata                                                              (mm_interconnect_3_mem_s1_writedata),             //  output,  width = 256,                                                                        .writedata
		.mem_s1_byteenable                                                             (mm_interconnect_3_mem_s1_byteenable),            //  output,   width = 32,                                                                        .byteenable
		.mem_reset1_reset_bridge_in_reset_reset                                        (~pcie_ftile_mcdma_app_nreset_status_reset),      //   input,    width = 1,                                        mem_reset1_reset_bridge_in_reset.reset
		.pcie_ftile_mcdma_p0_d2hdm_master_translator_reset_reset_bridge_in_reset_reset (~pcie_ftile_mcdma_app_nreset_status_reset),      //   input,    width = 1, pcie_ftile_mcdma_p0_d2hdm_master_translator_reset_reset_bridge_in_reset.reset
		.pcie_ftile_mcdma_app_clk_clk                                                  (pcie_ftile_mcdma_app_clk_clk)                    //   input,    width = 1,                                                pcie_ftile_mcdma_app_clk.clk
	);

	pcie_ed_altera_mm_interconnect_1920_2wu7ska mm_interconnect_4 (
		.pcie_ftile_mcdma_p0_h2ddm_master_address                                     (pcie_ftile_mcdma_p0_h2ddm_master_address),                //   input,   width = 64,                                       pcie_ftile_mcdma_p0_h2ddm_master.address
		.pcie_ftile_mcdma_p0_h2ddm_master_waitrequest                                 (pcie_ftile_mcdma_p0_h2ddm_master_waitrequest),            //  output,    width = 1,                                                                       .waitrequest
		.pcie_ftile_mcdma_p0_h2ddm_master_burstcount                                  (pcie_ftile_mcdma_p0_h2ddm_master_burstcount),             //   input,    width = 5,                                                                       .burstcount
		.pcie_ftile_mcdma_p0_h2ddm_master_byteenable                                  (pcie_ftile_mcdma_p0_h2ddm_master_byteenable),             //   input,   width = 32,                                                                       .byteenable
		.pcie_ftile_mcdma_p0_h2ddm_master_write                                       (pcie_ftile_mcdma_p0_h2ddm_master_write),                  //   input,    width = 1,                                                                       .write
		.pcie_ftile_mcdma_p0_h2ddm_master_writedata                                   (pcie_ftile_mcdma_p0_h2ddm_master_writedata),              //   input,  width = 256,                                                                       .writedata
		.mm_bridge_onchip_mem_s0_address                                              (mm_interconnect_4_mm_bridge_onchip_mem_s0_address),       //  output,   width = 21,                                                mm_bridge_onchip_mem_s0.address
		.mm_bridge_onchip_mem_s0_write                                                (mm_interconnect_4_mm_bridge_onchip_mem_s0_write),         //  output,    width = 1,                                                                       .write
		.mm_bridge_onchip_mem_s0_read                                                 (mm_interconnect_4_mm_bridge_onchip_mem_s0_read),          //  output,    width = 1,                                                                       .read
		.mm_bridge_onchip_mem_s0_readdata                                             (mm_interconnect_4_mm_bridge_onchip_mem_s0_readdata),      //   input,  width = 256,                                                                       .readdata
		.mm_bridge_onchip_mem_s0_writedata                                            (mm_interconnect_4_mm_bridge_onchip_mem_s0_writedata),     //  output,  width = 256,                                                                       .writedata
		.mm_bridge_onchip_mem_s0_burstcount                                           (mm_interconnect_4_mm_bridge_onchip_mem_s0_burstcount),    //  output,    width = 5,                                                                       .burstcount
		.mm_bridge_onchip_mem_s0_byteenable                                           (mm_interconnect_4_mm_bridge_onchip_mem_s0_byteenable),    //  output,   width = 32,                                                                       .byteenable
		.mm_bridge_onchip_mem_s0_readdatavalid                                        (mm_interconnect_4_mm_bridge_onchip_mem_s0_readdatavalid), //   input,    width = 1,                                                                       .readdatavalid
		.mm_bridge_onchip_mem_s0_waitrequest                                          (mm_interconnect_4_mm_bridge_onchip_mem_s0_waitrequest),   //   input,    width = 1,                                                                       .waitrequest
		.mm_bridge_onchip_mem_s0_debugaccess                                          (mm_interconnect_4_mm_bridge_onchip_mem_s0_debugaccess),   //  output,    width = 1,                                                                       .debugaccess
		.mm_bridge_onchip_mem_reset_reset_bridge_in_reset_reset                       (~pcie_ftile_mcdma_app_nreset_status_reset),               //   input,    width = 1,                       mm_bridge_onchip_mem_reset_reset_bridge_in_reset.reset
		.mm_bridge_onchip_mem_s0_agent_rsp_fifo_clk_reset_reset_bridge_in_reset_reset (~pcie_ftile_mcdma_app_nreset_status_reset),               //   input,    width = 1, mm_bridge_onchip_mem_s0_agent_rsp_fifo_clk_reset_reset_bridge_in_reset.reset
		.pcie_ftile_mcdma_app_clk_clk                                                 (pcie_ftile_mcdma_app_clk_clk)                             //   input,    width = 1,                                               pcie_ftile_mcdma_app_clk.clk
	);

	altera_reset_controller #(
		.NUM_RESET_INPUTS          (1),
		.OUTPUT_RESET_SYNC_EDGES   ("deassert"),
		.SYNC_DEPTH                (2),
		.RESET_REQUEST_PRESENT     (1),
		.RESET_REQ_WAIT_TIME       (1),
		.MIN_RST_ASSERTION_TIME    (3),
		.RESET_REQ_EARLY_DSRT_TIME (1),
		.USE_RESET_REQUEST_IN0     (0),
		.USE_RESET_REQUEST_IN1     (0),
		.USE_RESET_REQUEST_IN2     (0),
		.USE_RESET_REQUEST_IN3     (0),
		.USE_RESET_REQUEST_IN4     (0),
		.USE_RESET_REQUEST_IN5     (0),
		.USE_RESET_REQUEST_IN6     (0),
		.USE_RESET_REQUEST_IN7     (0),
		.USE_RESET_REQUEST_IN8     (0),
		.USE_RESET_REQUEST_IN9     (0),
		.USE_RESET_REQUEST_IN10    (0),
		.USE_RESET_REQUEST_IN11    (0),
		.USE_RESET_REQUEST_IN12    (0),
		.USE_RESET_REQUEST_IN13    (0),
		.USE_RESET_REQUEST_IN14    (0),
		.USE_RESET_REQUEST_IN15    (0),
		.ADAPT_RESET_REQUEST       (0)
	) rst_controller (
		.reset_in0      (~pcie_ftile_mcdma_app_nreset_status_reset), //   input,  width = 1, reset_in0.reset
		.clk            (pcie_ftile_mcdma_app_clk_clk),              //   input,  width = 1,       clk.clk
		.reset_out      (rst_controller_reset_out_reset),            //  output,  width = 1, reset_out.reset
		.reset_req      (rst_controller_reset_out_reset_req),        //  output,  width = 1,          .reset_req
		.reset_req_in0  (1'b0),                                      // (terminated),                       
		.reset_in1      (1'b0),                                      // (terminated),                       
		.reset_req_in1  (1'b0),                                      // (terminated),                       
		.reset_in2      (1'b0),                                      // (terminated),                       
		.reset_req_in2  (1'b0),                                      // (terminated),                       
		.reset_in3      (1'b0),                                      // (terminated),                       
		.reset_req_in3  (1'b0),                                      // (terminated),                       
		.reset_in4      (1'b0),                                      // (terminated),                       
		.reset_req_in4  (1'b0),                                      // (terminated),                       
		.reset_in5      (1'b0),                                      // (terminated),                       
		.reset_req_in5  (1'b0),                                      // (terminated),                       
		.reset_in6      (1'b0),                                      // (terminated),                       
		.reset_req_in6  (1'b0),                                      // (terminated),                       
		.reset_in7      (1'b0),                                      // (terminated),                       
		.reset_req_in7  (1'b0),                                      // (terminated),                       
		.reset_in8      (1'b0),                                      // (terminated),                       
		.reset_req_in8  (1'b0),                                      // (terminated),                       
		.reset_in9      (1'b0),                                      // (terminated),                       
		.reset_req_in9  (1'b0),                                      // (terminated),                       
		.reset_in10     (1'b0),                                      // (terminated),                       
		.reset_req_in10 (1'b0),                                      // (terminated),                       
		.reset_in11     (1'b0),                                      // (terminated),                       
		.reset_req_in11 (1'b0),                                      // (terminated),                       
		.reset_in12     (1'b0),                                      // (terminated),                       
		.reset_req_in12 (1'b0),                                      // (terminated),                       
		.reset_in13     (1'b0),                                      // (terminated),                       
		.reset_req_in13 (1'b0),                                      // (terminated),                       
		.reset_in14     (1'b0),                                      // (terminated),                       
		.reset_req_in14 (1'b0),                                      // (terminated),                       
		.reset_in15     (1'b0),                                      // (terminated),                       
		.reset_req_in15 (1'b0)                                       // (terminated),                       
	);

endmodule
