	component phy_fmcp is
		port (
			tx_pll_refclk_link  : in  std_logic                     := 'X';             -- clk
			system_pll_clk_link : in  std_logic_vector(0 downto 0)  := (others => 'X'); -- clk
			tx_reset            : in  std_logic_vector(0 downto 0)  := (others => 'X'); -- tx_reset
			tx_reset_ack        : out std_logic_vector(0 downto 0);                     -- tx_reset_ack
			tx_ready            : out std_logic_vector(0 downto 0);                     -- tx_ready
			tx_coreclkin        : in  std_logic                     := 'X';             -- tx_coreclkin
			tx_clkout           : out std_logic;                                        -- tx_clkout
			tx_serial_data      : out std_logic_vector(0 downto 0);                     -- tx_serial_data
			tx_serial_data_n    : out std_logic_vector(0 downto 0);                     -- tx_serial_data_n
			tx_pll_locked       : out std_logic_vector(0 downto 0);                     -- tx_pll_locked
			tx_parallel_data    : in  std_logic_vector(79 downto 0) := (others => 'X')  -- tx_parallel_data
		);
	end component phy_fmcp;

	u0 : component phy_fmcp
		port map (
			tx_pll_refclk_link  => CONNECTED_TO_tx_pll_refclk_link,  --  tx_pll_refclk_link.clk
			system_pll_clk_link => CONNECTED_TO_system_pll_clk_link, -- system_pll_clk_link.clk
			tx_reset            => CONNECTED_TO_tx_reset,            --            tx_reset.tx_reset
			tx_reset_ack        => CONNECTED_TO_tx_reset_ack,        --        tx_reset_ack.tx_reset_ack
			tx_ready            => CONNECTED_TO_tx_ready,            --            tx_ready.tx_ready
			tx_coreclkin        => CONNECTED_TO_tx_coreclkin,        --        tx_coreclkin.tx_coreclkin
			tx_clkout           => CONNECTED_TO_tx_clkout,           --           tx_clkout.tx_clkout
			tx_serial_data      => CONNECTED_TO_tx_serial_data,      --      tx_serial_data.tx_serial_data
			tx_serial_data_n    => CONNECTED_TO_tx_serial_data_n,    --    tx_serial_data_n.tx_serial_data_n
			tx_pll_locked       => CONNECTED_TO_tx_pll_locked,       --       tx_pll_locked.tx_pll_locked
			tx_parallel_data    => CONNECTED_TO_tx_parallel_data     --    tx_parallel_data.tx_parallel_data
		);

