// phy_qsfp28_directphy_f_ftile_adme_450_j5axbyq.v

// Generated using ACDS version 23.2 94

`timescale 1 ps / 1 ps
module phy_qsfp28_directphy_f_ftile_adme_450_j5axbyq #(
		parameter avmm2_is_used                 = 0,
		parameter avmm2_pma_port_count          = 1,
		parameter avmm2_addr_width              = 18,
		parameter avmm2_pma_type                = "FGT",
		parameter avmm2_pma_modulation          = "NRZ",
		parameter avmm2_pma_datarate            = "5000",
		parameter avmm2_duplex_mode             = "tx",
		parameter avmm2_expose_local_port       = 0,
		parameter avmm2_slave_map               = "{ typeName f_adme_dphy_avmm2 address 0x0 span 1048576 hpath {avmm2} assignments { avmm2_pma_port_count 1 avmm2_pma_type FGT avmm2_duplex_mode tx avmm2_pma_modulation NRZ avmm2_pma_datarate 5000 } }",
		parameter avmm2_has_rdv                 = 0,
		parameter avmm1_is_used                 = 0,
		parameter avmm1_ehip_port_count         = 1,
		parameter avmm1_addr_width              = 14,
		parameter avmm1_ehip_port_frac_skipping = 0,
		parameter avmm1_ehip_frac_size          = 0,
		parameter avmm1_duplex_mode             = "tx",
		parameter avmm1_expose_local_port       = 0,
		parameter avmm1_slave_map               = "{ typeName f_adme_dphy_avmm1 address 0x0 span 65536 hpath {avmm1} assignments { avmm1_ehip_port_count 1 avmm1_ehip_port_frac_skipping false avmm1_ehip_frac_size 0 avmm1_duplex_mode tx } }",
		parameter avmm1_has_rdv                 = 0,
		parameter ip_name                       = "dphy",
		parameter device_revision               = "10nm8agdrb"
	) (
		input  wire                        avmm2_clk_user,             //             avmm2_clk_user.clk
		output wire                        avmm2_clk_tile,             //             avmm2_clk_tile.avmm2_clk_tile
		input  wire                        avmm2_reset_user,           //           avmm2_reset_user.reset
		output wire                        avmm2_reset_tile,           //           avmm2_reset_tile.avmm2_reset_tile
		input  wire [avmm2_addr_width-1:0] avmm2_address_user,         //         avmm2_address_user.avmm2_address_user
		output wire [avmm2_addr_width-1:0] avmm2_address_tile,         //         avmm2_address_tile.avmm2_address_tile
		input  wire [3:0]                  avmm2_byte_enable_user,     //     avmm2_byte_enable_user.avmm2_byte_enable_user
		output wire [3:0]                  avmm2_byte_enable_tile,     //     avmm2_byte_enable_tile.avmm2_byte_enable_tile
		input  wire                        avmm2_write_user,           //           avmm2_write_user.avmm2_write_user
		output wire                        avmm2_write_tile,           //           avmm2_write_tile.avmm2_write_tile
		input  wire                        avmm2_read_user,            //            avmm2_read_user.avmm2_read_user
		output wire                        avmm2_read_tile,            //            avmm2_read_tile.avmm2_read_tile
		input  wire [31:0]                 avmm2_write_data_user,      //      avmm2_write_data_user.avmm2_write_data_user
		output wire [31:0]                 avmm2_write_data_tile,      //      avmm2_write_data_tile.avmm2_write_data_tile
		output wire [31:0]                 avmm2_read_data_user,       //       avmm2_read_data_user.avmm2_read_data_user
		input  wire [31:0]                 avmm2_read_data_tile,       //       avmm2_read_data_tile.avmm2_read_data_tile
		output wire                        avmm2_waitrequest_user,     //     avmm2_waitrequest_user.avmm2_waitrequest_user
		input  wire                        avmm2_waitrequest_tile,     //     avmm2_waitrequest_tile.avmm2_waitrequest_tile
		output wire                        avmm2_read_data_valid_user, // avmm2_read_data_valid_user.avmm2_read_data_valid_user
		input  wire                        avmm2_read_data_valid_tile, // avmm2_read_data_valid_tile.avmm2_read_data_valid_tile
		input  wire                        avmm1_clk_user,             //             avmm1_clk_user.clk
		output wire                        avmm1_clk_tile,             //             avmm1_clk_tile.avmm1_clk_tile
		input  wire                        avmm1_reset_user,           //           avmm1_reset_user.avmm1_reset_user
		output wire                        avmm1_reset_tile,           //           avmm1_reset_tile.avmm1_reset_tile
		input  wire [avmm1_addr_width-1:0] avmm1_address_user,         //         avmm1_address_user.avmm1_address_user
		output wire [avmm1_addr_width-1:0] avmm1_address_tile,         //         avmm1_address_tile.avmm1_address_tile
		input  wire [3:0]                  avmm1_byte_enable_user,     //     avmm1_byte_enable_user.avmm1_byte_enable_user
		output wire [3:0]                  avmm1_byte_enable_tile,     //     avmm1_byte_enable_tile.avmm1_byte_enable_tile
		input  wire                        avmm1_write_user,           //           avmm1_write_user.avmm1_write_user
		output wire                        avmm1_write_tile,           //           avmm1_write_tile.avmm1_write_tile
		input  wire                        avmm1_read_user,            //            avmm1_read_user.avmm1_read_user
		output wire                        avmm1_read_tile,            //            avmm1_read_tile.avmm1_read_tile
		input  wire [31:0]                 avmm1_write_data_user,      //      avmm1_write_data_user.avmm1_write_data_user
		output wire [31:0]                 avmm1_write_data_tile,      //      avmm1_write_data_tile.avmm1_write_data_tile
		output wire [31:0]                 avmm1_read_data_user,       //       avmm1_read_data_user.avmm1_read_data_user
		input  wire [31:0]                 avmm1_read_data_tile,       //       avmm1_read_data_tile.avmm1_read_data_tile
		output wire                        avmm1_waitrequest_user,     //     avmm1_waitrequest_user.avmm1_waitrequest_user
		input  wire                        avmm1_waitrequest_tile,     //     avmm1_waitrequest_tile.avmm1_waitrequest_tile
		output wire                        avmm1_read_data_valid_user, // avmm1_read_data_valid_user.avmm1_read_data_valid_user
		input  wire                        avmm1_read_data_valid_tile  // avmm1_read_data_valid_tile.avmm1_read_data_valid_tile
	);

	generate
		// If any of the display statements (or deliberately broken
		// instantiations) within this generate block triggers then this module
		// has been instantiated this module with a set of parameters different
		// from those it was generated for.  This will usually result in a
		// non-functioning system.
		if (avmm2_is_used != 0)
		begin
		// synthesis translate_off
			initial begin
				$display("Generated module instantiated with wrong parameters");
				$stop;
			end
		// synthesis translate_on
			instantiated_with_wrong_parameters_error_see_comment_above
					avmm2_is_used_check ( .error(1'b1) );
		end
		if (avmm2_pma_port_count != 1)
		begin
		// synthesis translate_off
			initial begin
				$display("Generated module instantiated with wrong parameters");
				$stop;
			end
		// synthesis translate_on
			instantiated_with_wrong_parameters_error_see_comment_above
					avmm2_pma_port_count_check ( .error(1'b1) );
		end
		if (avmm2_addr_width != 18)
		begin
		// synthesis translate_off
			initial begin
				$display("Generated module instantiated with wrong parameters");
				$stop;
			end
		// synthesis translate_on
			instantiated_with_wrong_parameters_error_see_comment_above
					avmm2_addr_width_check ( .error(1'b1) );
		end
		if (avmm2_pma_type != "FGT")
		begin
		// synthesis translate_off
			initial begin
				$display("Generated module instantiated with wrong parameters");
				$stop;
			end
		// synthesis translate_on
			instantiated_with_wrong_parameters_error_see_comment_above
					avmm2_pma_type_check ( .error(1'b1) );
		end
		if (avmm2_pma_modulation != "NRZ")
		begin
		// synthesis translate_off
			initial begin
				$display("Generated module instantiated with wrong parameters");
				$stop;
			end
		// synthesis translate_on
			instantiated_with_wrong_parameters_error_see_comment_above
					avmm2_pma_modulation_check ( .error(1'b1) );
		end
		if (avmm2_pma_datarate != "5000")
		begin
		// synthesis translate_off
			initial begin
				$display("Generated module instantiated with wrong parameters");
				$stop;
			end
		// synthesis translate_on
			instantiated_with_wrong_parameters_error_see_comment_above
					avmm2_pma_datarate_check ( .error(1'b1) );
		end
		if (avmm2_duplex_mode != "tx")
		begin
		// synthesis translate_off
			initial begin
				$display("Generated module instantiated with wrong parameters");
				$stop;
			end
		// synthesis translate_on
			instantiated_with_wrong_parameters_error_see_comment_above
					avmm2_duplex_mode_check ( .error(1'b1) );
		end
		if (avmm2_expose_local_port != 0)
		begin
		// synthesis translate_off
			initial begin
				$display("Generated module instantiated with wrong parameters");
				$stop;
			end
		// synthesis translate_on
			instantiated_with_wrong_parameters_error_see_comment_above
					avmm2_expose_local_port_check ( .error(1'b1) );
		end
		if (avmm2_slave_map != "{ typeName f_adme_dphy_avmm2 address 0x0 span 1048576 hpath {avmm2} assignments { avmm2_pma_port_count 1 avmm2_pma_type FGT avmm2_duplex_mode tx avmm2_pma_modulation NRZ avmm2_pma_datarate 5000 } }")
		begin
		// synthesis translate_off
			initial begin
				$display("Generated module instantiated with wrong parameters");
				$stop;
			end
		// synthesis translate_on
			instantiated_with_wrong_parameters_error_see_comment_above
					avmm2_slave_map_check ( .error(1'b1) );
		end
		if (avmm2_has_rdv != 0)
		begin
		// synthesis translate_off
			initial begin
				$display("Generated module instantiated with wrong parameters");
				$stop;
			end
		// synthesis translate_on
			instantiated_with_wrong_parameters_error_see_comment_above
					avmm2_has_rdv_check ( .error(1'b1) );
		end
		if (avmm1_is_used != 0)
		begin
		// synthesis translate_off
			initial begin
				$display("Generated module instantiated with wrong parameters");
				$stop;
			end
		// synthesis translate_on
			instantiated_with_wrong_parameters_error_see_comment_above
					avmm1_is_used_check ( .error(1'b1) );
		end
		if (avmm1_ehip_port_count != 1)
		begin
		// synthesis translate_off
			initial begin
				$display("Generated module instantiated with wrong parameters");
				$stop;
			end
		// synthesis translate_on
			instantiated_with_wrong_parameters_error_see_comment_above
					avmm1_ehip_port_count_check ( .error(1'b1) );
		end
		if (avmm1_addr_width != 14)
		begin
		// synthesis translate_off
			initial begin
				$display("Generated module instantiated with wrong parameters");
				$stop;
			end
		// synthesis translate_on
			instantiated_with_wrong_parameters_error_see_comment_above
					avmm1_addr_width_check ( .error(1'b1) );
		end
		if (avmm1_ehip_port_frac_skipping != 0)
		begin
		// synthesis translate_off
			initial begin
				$display("Generated module instantiated with wrong parameters");
				$stop;
			end
		// synthesis translate_on
			instantiated_with_wrong_parameters_error_see_comment_above
					avmm1_ehip_port_frac_skipping_check ( .error(1'b1) );
		end
		if (avmm1_ehip_frac_size != 0)
		begin
		// synthesis translate_off
			initial begin
				$display("Generated module instantiated with wrong parameters");
				$stop;
			end
		// synthesis translate_on
			instantiated_with_wrong_parameters_error_see_comment_above
					avmm1_ehip_frac_size_check ( .error(1'b1) );
		end
		if (avmm1_duplex_mode != "tx")
		begin
		// synthesis translate_off
			initial begin
				$display("Generated module instantiated with wrong parameters");
				$stop;
			end
		// synthesis translate_on
			instantiated_with_wrong_parameters_error_see_comment_above
					avmm1_duplex_mode_check ( .error(1'b1) );
		end
		if (avmm1_expose_local_port != 0)
		begin
		// synthesis translate_off
			initial begin
				$display("Generated module instantiated with wrong parameters");
				$stop;
			end
		// synthesis translate_on
			instantiated_with_wrong_parameters_error_see_comment_above
					avmm1_expose_local_port_check ( .error(1'b1) );
		end
		if (avmm1_slave_map != "{ typeName f_adme_dphy_avmm1 address 0x0 span 65536 hpath {avmm1} assignments { avmm1_ehip_port_count 1 avmm1_ehip_port_frac_skipping false avmm1_ehip_frac_size 0 avmm1_duplex_mode tx } }")
		begin
		// synthesis translate_off
			initial begin
				$display("Generated module instantiated with wrong parameters");
				$stop;
			end
		// synthesis translate_on
			instantiated_with_wrong_parameters_error_see_comment_above
					avmm1_slave_map_check ( .error(1'b1) );
		end
		if (avmm1_has_rdv != 0)
		begin
		// synthesis translate_off
			initial begin
				$display("Generated module instantiated with wrong parameters");
				$stop;
			end
		// synthesis translate_on
			instantiated_with_wrong_parameters_error_see_comment_above
					avmm1_has_rdv_check ( .error(1'b1) );
		end
		if (ip_name != "dphy")
		begin
		// synthesis translate_off
			initial begin
				$display("Generated module instantiated with wrong parameters");
				$stop;
			end
		// synthesis translate_on
			instantiated_with_wrong_parameters_error_see_comment_above
					ip_name_check ( .error(1'b1) );
		end
		if (device_revision != "10nm8agdrb")
		begin
		// synthesis translate_off
			initial begin
				$display("Generated module instantiated with wrong parameters");
				$stop;
			end
		// synthesis translate_on
			instantiated_with_wrong_parameters_error_see_comment_above
					device_revision_check ( .error(1'b1) );
		end
	endgenerate

	phy_qsfp28_ftile_adme_100_wapce6q #(
		.avmm2_is_used                 (0),
		.avmm2_pma_port_count          (1),
		.avmm2_addr_width              (18),
		.avmm2_pma_type                ("FGT"),
		.avmm2_pma_modulation          ("NRZ"),
		.avmm2_pma_datarate            ("5000"),
		.avmm2_duplex_mode             ("tx"),
		.avmm2_expose_local_port       (0),
		.avmm2_slave_map               ("{ typeName f_adme_dphy_avmm2 address 0x0 span 1048576 hpath {avmm2} assignments { avmm2_pma_port_count 1 avmm2_pma_type FGT avmm2_duplex_mode tx avmm2_pma_modulation NRZ avmm2_pma_datarate 5000 } }"),
		.avmm2_has_rdv                 (0),
		.avmm1_is_used                 (0),
		.avmm1_ehip_port_count         (1),
		.avmm1_addr_width              (14),
		.avmm1_ehip_port_frac_skipping (0),
		.avmm1_ehip_frac_size          (0),
		.avmm1_duplex_mode             ("tx"),
		.avmm1_expose_local_port       (0),
		.avmm1_slave_map               ("{ typeName f_adme_dphy_avmm1 address 0x0 span 65536 hpath {avmm1} assignments { avmm1_ehip_port_count 1 avmm1_ehip_port_frac_skipping false avmm1_ehip_frac_size 0 avmm1_duplex_mode tx } }"),
		.avmm1_has_rdv                 (0),
		.ip_name                       ("dphy"),
		.device_revision               ("10nm8agdrb")
	) f_dphy_adme (
		.avmm2_clk_user             (avmm2_clk_user),             //   input,   width = 1,             avmm2_clk_user.clk
		.avmm2_clk_tile             (avmm2_clk_tile),             //  output,   width = 1,             avmm2_clk_tile.avmm2_clk_tile
		.avmm2_reset_user           (avmm2_reset_user),           //   input,   width = 1,           avmm2_reset_user.reset
		.avmm2_reset_tile           (avmm2_reset_tile),           //  output,   width = 1,           avmm2_reset_tile.avmm2_reset_tile
		.avmm2_address_user         (avmm2_address_user),         //   input,  width = 18,         avmm2_address_user.avmm2_address_user
		.avmm2_address_tile         (avmm2_address_tile),         //  output,  width = 18,         avmm2_address_tile.avmm2_address_tile
		.avmm2_byte_enable_user     (avmm2_byte_enable_user),     //   input,   width = 4,     avmm2_byte_enable_user.avmm2_byte_enable_user
		.avmm2_byte_enable_tile     (avmm2_byte_enable_tile),     //  output,   width = 4,     avmm2_byte_enable_tile.avmm2_byte_enable_tile
		.avmm2_write_user           (avmm2_write_user),           //   input,   width = 1,           avmm2_write_user.avmm2_write_user
		.avmm2_write_tile           (avmm2_write_tile),           //  output,   width = 1,           avmm2_write_tile.avmm2_write_tile
		.avmm2_read_user            (avmm2_read_user),            //   input,   width = 1,            avmm2_read_user.avmm2_read_user
		.avmm2_read_tile            (avmm2_read_tile),            //  output,   width = 1,            avmm2_read_tile.avmm2_read_tile
		.avmm2_write_data_user      (avmm2_write_data_user),      //   input,  width = 32,      avmm2_write_data_user.avmm2_write_data_user
		.avmm2_write_data_tile      (avmm2_write_data_tile),      //  output,  width = 32,      avmm2_write_data_tile.avmm2_write_data_tile
		.avmm2_read_data_user       (avmm2_read_data_user),       //  output,  width = 32,       avmm2_read_data_user.avmm2_read_data_user
		.avmm2_read_data_tile       (avmm2_read_data_tile),       //   input,  width = 32,       avmm2_read_data_tile.avmm2_read_data_tile
		.avmm2_waitrequest_user     (avmm2_waitrequest_user),     //  output,   width = 1,     avmm2_waitrequest_user.avmm2_waitrequest_user
		.avmm2_waitrequest_tile     (avmm2_waitrequest_tile),     //   input,   width = 1,     avmm2_waitrequest_tile.avmm2_waitrequest_tile
		.avmm2_read_data_valid_user (avmm2_read_data_valid_user), //  output,   width = 1, avmm2_read_data_valid_user.avmm2_read_data_valid_user
		.avmm2_read_data_valid_tile (avmm2_read_data_valid_tile), //   input,   width = 1, avmm2_read_data_valid_tile.avmm2_read_data_valid_tile
		.avmm1_clk_user             (avmm1_clk_user),             //   input,   width = 1,             avmm1_clk_user.clk
		.avmm1_clk_tile             (avmm1_clk_tile),             //  output,   width = 1,             avmm1_clk_tile.avmm1_clk_tile
		.avmm1_reset_user           (avmm1_reset_user),           //   input,   width = 1,           avmm1_reset_user.avmm1_reset_user
		.avmm1_reset_tile           (avmm1_reset_tile),           //  output,   width = 1,           avmm1_reset_tile.avmm1_reset_tile
		.avmm1_address_user         (avmm1_address_user),         //   input,  width = 14,         avmm1_address_user.avmm1_address_user
		.avmm1_address_tile         (avmm1_address_tile),         //  output,  width = 14,         avmm1_address_tile.avmm1_address_tile
		.avmm1_byte_enable_user     (avmm1_byte_enable_user),     //   input,   width = 4,     avmm1_byte_enable_user.avmm1_byte_enable_user
		.avmm1_byte_enable_tile     (avmm1_byte_enable_tile),     //  output,   width = 4,     avmm1_byte_enable_tile.avmm1_byte_enable_tile
		.avmm1_write_user           (avmm1_write_user),           //   input,   width = 1,           avmm1_write_user.avmm1_write_user
		.avmm1_write_tile           (avmm1_write_tile),           //  output,   width = 1,           avmm1_write_tile.avmm1_write_tile
		.avmm1_read_user            (avmm1_read_user),            //   input,   width = 1,            avmm1_read_user.avmm1_read_user
		.avmm1_read_tile            (avmm1_read_tile),            //  output,   width = 1,            avmm1_read_tile.avmm1_read_tile
		.avmm1_write_data_user      (avmm1_write_data_user),      //   input,  width = 32,      avmm1_write_data_user.avmm1_write_data_user
		.avmm1_write_data_tile      (avmm1_write_data_tile),      //  output,  width = 32,      avmm1_write_data_tile.avmm1_write_data_tile
		.avmm1_read_data_user       (avmm1_read_data_user),       //  output,  width = 32,       avmm1_read_data_user.avmm1_read_data_user
		.avmm1_read_data_tile       (avmm1_read_data_tile),       //   input,  width = 32,       avmm1_read_data_tile.avmm1_read_data_tile
		.avmm1_waitrequest_user     (avmm1_waitrequest_user),     //  output,   width = 1,     avmm1_waitrequest_user.avmm1_waitrequest_user
		.avmm1_waitrequest_tile     (avmm1_waitrequest_tile),     //   input,   width = 1,     avmm1_waitrequest_tile.avmm1_waitrequest_tile
		.avmm1_read_data_valid_user (avmm1_read_data_valid_user), //  output,   width = 1, avmm1_read_data_valid_user.avmm1_read_data_valid_user
		.avmm1_read_data_valid_tile (avmm1_read_data_valid_tile)  //   input,   width = 1, avmm1_read_data_valid_tile.avmm1_read_data_valid_tile
	);

endmodule
