# (C) 2001-2023 Intel Corporation. All rights reserved.
# Your use of Intel Corporation's design tools, logic functions and other 
# software and tools, and its AMPP partner logic functions, and any output 
# files from any of the foregoing (including device programming or simulation 
# files), and any associated documentation or information are expressly subject 
# to the terms and conditions of the Intel Program License Subscription 
# Agreement, Intel FPGA IP License Agreement, or other applicable 
# license agreement, including, without limitation, that your use is for the 
# sole purpose of programming logic devices manufactured by Intel and sold by 
# Intel or its authorized distributors.  Please refer to the applicable 
# agreement for further details.


vlib work
set TOP_LEVEL_NAME "basic_avl_tb_top"
set QSYS_SIMDIR ../ex_100G/sim
set USER_DEFINED_VERILOG_COMPILE_OPTIONS "\
+define+IP7581SERDES_UXS2T1R1PGD_PIPE_SPEC_FORCE\
+define+IP7581SERDES_UXS2T1R1PGD_PIPE_SIMULATION\
+define+IP7581SERDES_UXS2T1R1PGD_PIPE_FAST_SIM\
+define+IP7581SERDES_UX_SIMSPEED\
+define+BK_FASTSIM_MODEL \
+define+IP7581SERDES_UXS2T1R1PGD_PIPE_SKIP_LOAD_SPEC \
+define+SRC_SPEC_SPEED_UP \
"

set USER_DEFINED_VHDL_COMPILE_OPTIONS "-relax\
"
set USER_DEFINED_ELAB_OPTIONS "-nocvg\
"

do $QSYS_SIMDIR/aldec/rivierapro_setup.tcl
dev_com
com
vlog +acc ./basic_avl_tb_top.sv \
-f ./common_files_list.f \

elab
#add wave "/basic_avl_tb_top/*"
#add wave "/basic_avl_tb_top/eth_f_hw__tiles/z1577a_x0_y0_n0__reset_controller/x_f_tile_soft_reset_ctlr_sip_v1/x_ftile_reset/*"
run -all
quit


