source [file join [file dirname [info script]] ./../../../ip/Qsys/Qsys_pio_1/sim/common/riviera_files.tcl]
source [file join [file dirname [info script]] ./../../../ip/Qsys/Qsys_pio_0/sim/common/riviera_files.tcl]
source [file join [file dirname [info script]] ./../../../ip/Qsys/Qsys_nios2_gen2_0/sim/common/riviera_files.tcl]
source [file join [file dirname [info script]] ./../../../ip/Qsys/Qsys_address_span_extender_0/sim/common/riviera_files.tcl]
source [file join [file dirname [info script]] ./../../../ip/Qsys/Qsys_pio_2/sim/common/riviera_files.tcl]
source [file join [file dirname [info script]] ./../../../ip/Qsys/Qsys_iopll_0/sim/common/riviera_files.tcl]
source [file join [file dirname [info script]] ./../../../ip/Qsys/Qsys_pio_3/sim/common/riviera_files.tcl]
source [file join [file dirname [info script]] ./../../../ip/Qsys/Qsys_sysid_qsys_0/sim/common/riviera_files.tcl]
source [file join [file dirname [info script]] ./../../../ip/Qsys/Qsys_jtag_uart_0/sim/common/riviera_files.tcl]
source [file join [file dirname [info script]] ./../../../ip/Qsys/Qsys_emif_cal_0/sim/common/riviera_files.tcl]
source [file join [file dirname [info script]] ./../../../ip/Qsys/Qsys_clock_in/sim/common/riviera_files.tcl]
source [file join [file dirname [info script]] ./../../../ip/Qsys/Qsys_mm_ccb_0/sim/common/riviera_files.tcl]
source [file join [file dirname [info script]] ./../../../ip/Qsys/Qsys_intel_onchip_memory_0/sim/common/riviera_files.tcl]
source [file join [file dirname [info script]] ./../../../ip/Qsys/Qsys_emif_fm_0/sim/common/riviera_files.tcl]
source [file join [file dirname [info script]] ./../../../ip/Qsys/Qsys_emif_fm_1/sim/common/riviera_files.tcl]
source [file join [file dirname [info script]] ./../../../ip/Qsys/Qsys_timer_0/sim/common/riviera_files.tcl]
source [file join [file dirname [info script]] ./../../../ip/Qsys/Qsys_reset_in/sim/common/riviera_files.tcl]

namespace eval Qsys {
  proc get_design_libraries {} {
    set libraries [dict create]
    set libraries [dict merge $libraries [Qsys_pio_1::get_design_libraries]]
    set libraries [dict merge $libraries [Qsys_pio_0::get_design_libraries]]
    set libraries [dict merge $libraries [Qsys_nios2_gen2_0::get_design_libraries]]
    set libraries [dict merge $libraries [Qsys_address_span_extender_0::get_design_libraries]]
    set libraries [dict merge $libraries [Qsys_pio_2::get_design_libraries]]
    set libraries [dict merge $libraries [Qsys_iopll_0::get_design_libraries]]
    set libraries [dict merge $libraries [Qsys_pio_3::get_design_libraries]]
    set libraries [dict merge $libraries [Qsys_sysid_qsys_0::get_design_libraries]]
    set libraries [dict merge $libraries [Qsys_jtag_uart_0::get_design_libraries]]
    set libraries [dict merge $libraries [Qsys_emif_cal_0::get_design_libraries]]
    set libraries [dict merge $libraries [Qsys_clock_in::get_design_libraries]]
    set libraries [dict merge $libraries [Qsys_mm_ccb_0::get_design_libraries]]
    set libraries [dict merge $libraries [Qsys_intel_onchip_memory_0::get_design_libraries]]
    set libraries [dict merge $libraries [Qsys_emif_fm_0::get_design_libraries]]
    set libraries [dict merge $libraries [Qsys_emif_fm_1::get_design_libraries]]
    set libraries [dict merge $libraries [Qsys_timer_0::get_design_libraries]]
    set libraries [dict merge $libraries [Qsys_reset_in::get_design_libraries]]
    dict set libraries altera_merlin_master_translator_192 1
    dict set libraries altera_merlin_slave_translator_191  1
    dict set libraries altera_merlin_master_agent_191      1
    dict set libraries altera_merlin_slave_agent_191       1
    dict set libraries altera_avalon_sc_fifo_1931          1
    dict set libraries altera_merlin_router_1921           1
    dict set libraries altera_merlin_traffic_limiter_191   1
    dict set libraries altera_merlin_demultiplexer_1921    1
    dict set libraries altera_merlin_multiplexer_1921      1
    dict set libraries altera_merlin_width_adapter_1920    1
    dict set libraries altera_mm_interconnect_1920         1
    dict set libraries hs_clk_xer_1940                     1
    dict set libraries altera_irq_mapper_2000              1
    dict set libraries altera_irq_clock_crosser_2000       1
    dict set libraries altera_reset_controller_1921        1
    dict set libraries Qsys                                1
    return $libraries
  }
  
  proc get_memory_files {QSYS_SIMDIR} {
    set memory_files [list]
    set memory_files [concat $memory_files [Qsys_pio_1::get_memory_files "$QSYS_SIMDIR/../../ip/Qsys/Qsys_pio_1/sim/"]]
    set memory_files [concat $memory_files [Qsys_pio_0::get_memory_files "$QSYS_SIMDIR/../../ip/Qsys/Qsys_pio_0/sim/"]]
    set memory_files [concat $memory_files [Qsys_nios2_gen2_0::get_memory_files "$QSYS_SIMDIR/../../ip/Qsys/Qsys_nios2_gen2_0/sim/"]]
    set memory_files [concat $memory_files [Qsys_address_span_extender_0::get_memory_files "$QSYS_SIMDIR/../../ip/Qsys/Qsys_address_span_extender_0/sim/"]]
    set memory_files [concat $memory_files [Qsys_pio_2::get_memory_files "$QSYS_SIMDIR/../../ip/Qsys/Qsys_pio_2/sim/"]]
    set memory_files [concat $memory_files [Qsys_iopll_0::get_memory_files "$QSYS_SIMDIR/../../ip/Qsys/Qsys_iopll_0/sim/"]]
    set memory_files [concat $memory_files [Qsys_pio_3::get_memory_files "$QSYS_SIMDIR/../../ip/Qsys/Qsys_pio_3/sim/"]]
    set memory_files [concat $memory_files [Qsys_sysid_qsys_0::get_memory_files "$QSYS_SIMDIR/../../ip/Qsys/Qsys_sysid_qsys_0/sim/"]]
    set memory_files [concat $memory_files [Qsys_jtag_uart_0::get_memory_files "$QSYS_SIMDIR/../../ip/Qsys/Qsys_jtag_uart_0/sim/"]]
    set memory_files [concat $memory_files [Qsys_emif_cal_0::get_memory_files "$QSYS_SIMDIR/../../ip/Qsys/Qsys_emif_cal_0/sim/"]]
    set memory_files [concat $memory_files [Qsys_clock_in::get_memory_files "$QSYS_SIMDIR/../../ip/Qsys/Qsys_clock_in/sim/"]]
    set memory_files [concat $memory_files [Qsys_mm_ccb_0::get_memory_files "$QSYS_SIMDIR/../../ip/Qsys/Qsys_mm_ccb_0/sim/"]]
    set memory_files [concat $memory_files [Qsys_intel_onchip_memory_0::get_memory_files "$QSYS_SIMDIR/../../ip/Qsys/Qsys_intel_onchip_memory_0/sim/"]]
    set memory_files [concat $memory_files [Qsys_emif_fm_0::get_memory_files "$QSYS_SIMDIR/../../ip/Qsys/Qsys_emif_fm_0/sim/"]]
    set memory_files [concat $memory_files [Qsys_emif_fm_1::get_memory_files "$QSYS_SIMDIR/../../ip/Qsys/Qsys_emif_fm_1/sim/"]]
    set memory_files [concat $memory_files [Qsys_timer_0::get_memory_files "$QSYS_SIMDIR/../../ip/Qsys/Qsys_timer_0/sim/"]]
    set memory_files [concat $memory_files [Qsys_reset_in::get_memory_files "$QSYS_SIMDIR/../../ip/Qsys/Qsys_reset_in/sim/"]]
    return $memory_files
  }
  
  proc get_common_design_files {USER_DEFINED_COMPILE_OPTIONS USER_DEFINED_VERILOG_COMPILE_OPTIONS USER_DEFINED_VHDL_COMPILE_OPTIONS QSYS_SIMDIR} {
    set design_files [dict create]
    set design_files [dict merge $design_files [Qsys_pio_1::get_common_design_files $USER_DEFINED_COMPILE_OPTIONS $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_VHDL_COMPILE_OPTIONS "$QSYS_SIMDIR/../../ip/Qsys/Qsys_pio_1/sim/"]]
    set design_files [dict merge $design_files [Qsys_pio_0::get_common_design_files $USER_DEFINED_COMPILE_OPTIONS $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_VHDL_COMPILE_OPTIONS "$QSYS_SIMDIR/../../ip/Qsys/Qsys_pio_0/sim/"]]
    set design_files [dict merge $design_files [Qsys_nios2_gen2_0::get_common_design_files $USER_DEFINED_COMPILE_OPTIONS $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_VHDL_COMPILE_OPTIONS "$QSYS_SIMDIR/../../ip/Qsys/Qsys_nios2_gen2_0/sim/"]]
    set design_files [dict merge $design_files [Qsys_address_span_extender_0::get_common_design_files $USER_DEFINED_COMPILE_OPTIONS $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_VHDL_COMPILE_OPTIONS "$QSYS_SIMDIR/../../ip/Qsys/Qsys_address_span_extender_0/sim/"]]
    set design_files [dict merge $design_files [Qsys_pio_2::get_common_design_files $USER_DEFINED_COMPILE_OPTIONS $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_VHDL_COMPILE_OPTIONS "$QSYS_SIMDIR/../../ip/Qsys/Qsys_pio_2/sim/"]]
    set design_files [dict merge $design_files [Qsys_iopll_0::get_common_design_files $USER_DEFINED_COMPILE_OPTIONS $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_VHDL_COMPILE_OPTIONS "$QSYS_SIMDIR/../../ip/Qsys/Qsys_iopll_0/sim/"]]
    set design_files [dict merge $design_files [Qsys_pio_3::get_common_design_files $USER_DEFINED_COMPILE_OPTIONS $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_VHDL_COMPILE_OPTIONS "$QSYS_SIMDIR/../../ip/Qsys/Qsys_pio_3/sim/"]]
    set design_files [dict merge $design_files [Qsys_sysid_qsys_0::get_common_design_files $USER_DEFINED_COMPILE_OPTIONS $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_VHDL_COMPILE_OPTIONS "$QSYS_SIMDIR/../../ip/Qsys/Qsys_sysid_qsys_0/sim/"]]
    set design_files [dict merge $design_files [Qsys_jtag_uart_0::get_common_design_files $USER_DEFINED_COMPILE_OPTIONS $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_VHDL_COMPILE_OPTIONS "$QSYS_SIMDIR/../../ip/Qsys/Qsys_jtag_uart_0/sim/"]]
    set design_files [dict merge $design_files [Qsys_emif_cal_0::get_common_design_files $USER_DEFINED_COMPILE_OPTIONS $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_VHDL_COMPILE_OPTIONS "$QSYS_SIMDIR/../../ip/Qsys/Qsys_emif_cal_0/sim/"]]
    set design_files [dict merge $design_files [Qsys_clock_in::get_common_design_files $USER_DEFINED_COMPILE_OPTIONS $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_VHDL_COMPILE_OPTIONS "$QSYS_SIMDIR/../../ip/Qsys/Qsys_clock_in/sim/"]]
    set design_files [dict merge $design_files [Qsys_mm_ccb_0::get_common_design_files $USER_DEFINED_COMPILE_OPTIONS $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_VHDL_COMPILE_OPTIONS "$QSYS_SIMDIR/../../ip/Qsys/Qsys_mm_ccb_0/sim/"]]
    set design_files [dict merge $design_files [Qsys_intel_onchip_memory_0::get_common_design_files $USER_DEFINED_COMPILE_OPTIONS $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_VHDL_COMPILE_OPTIONS "$QSYS_SIMDIR/../../ip/Qsys/Qsys_intel_onchip_memory_0/sim/"]]
    set design_files [dict merge $design_files [Qsys_emif_fm_0::get_common_design_files $USER_DEFINED_COMPILE_OPTIONS $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_VHDL_COMPILE_OPTIONS "$QSYS_SIMDIR/../../ip/Qsys/Qsys_emif_fm_0/sim/"]]
    set design_files [dict merge $design_files [Qsys_emif_fm_1::get_common_design_files $USER_DEFINED_COMPILE_OPTIONS $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_VHDL_COMPILE_OPTIONS "$QSYS_SIMDIR/../../ip/Qsys/Qsys_emif_fm_1/sim/"]]
    set design_files [dict merge $design_files [Qsys_timer_0::get_common_design_files $USER_DEFINED_COMPILE_OPTIONS $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_VHDL_COMPILE_OPTIONS "$QSYS_SIMDIR/../../ip/Qsys/Qsys_timer_0/sim/"]]
    set design_files [dict merge $design_files [Qsys_reset_in::get_common_design_files $USER_DEFINED_COMPILE_OPTIONS $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_VHDL_COMPILE_OPTIONS "$QSYS_SIMDIR/../../ip/Qsys/Qsys_reset_in/sim/"]]
    return $design_files
  }
  
  proc get_design_files {USER_DEFINED_COMPILE_OPTIONS USER_DEFINED_VERILOG_COMPILE_OPTIONS USER_DEFINED_VHDL_COMPILE_OPTIONS QSYS_SIMDIR} {
    set design_files [list]
    set design_files [concat $design_files [Qsys_pio_1::get_design_files $USER_DEFINED_COMPILE_OPTIONS $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_VHDL_COMPILE_OPTIONS "$QSYS_SIMDIR/../../ip/Qsys/Qsys_pio_1/sim/"]]
    set design_files [concat $design_files [Qsys_pio_0::get_design_files $USER_DEFINED_COMPILE_OPTIONS $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_VHDL_COMPILE_OPTIONS "$QSYS_SIMDIR/../../ip/Qsys/Qsys_pio_0/sim/"]]
    set design_files [concat $design_files [Qsys_nios2_gen2_0::get_design_files $USER_DEFINED_COMPILE_OPTIONS $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_VHDL_COMPILE_OPTIONS "$QSYS_SIMDIR/../../ip/Qsys/Qsys_nios2_gen2_0/sim/"]]
    set design_files [concat $design_files [Qsys_address_span_extender_0::get_design_files $USER_DEFINED_COMPILE_OPTIONS $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_VHDL_COMPILE_OPTIONS "$QSYS_SIMDIR/../../ip/Qsys/Qsys_address_span_extender_0/sim/"]]
    set design_files [concat $design_files [Qsys_pio_2::get_design_files $USER_DEFINED_COMPILE_OPTIONS $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_VHDL_COMPILE_OPTIONS "$QSYS_SIMDIR/../../ip/Qsys/Qsys_pio_2/sim/"]]
    set design_files [concat $design_files [Qsys_iopll_0::get_design_files $USER_DEFINED_COMPILE_OPTIONS $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_VHDL_COMPILE_OPTIONS "$QSYS_SIMDIR/../../ip/Qsys/Qsys_iopll_0/sim/"]]
    set design_files [concat $design_files [Qsys_pio_3::get_design_files $USER_DEFINED_COMPILE_OPTIONS $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_VHDL_COMPILE_OPTIONS "$QSYS_SIMDIR/../../ip/Qsys/Qsys_pio_3/sim/"]]
    set design_files [concat $design_files [Qsys_sysid_qsys_0::get_design_files $USER_DEFINED_COMPILE_OPTIONS $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_VHDL_COMPILE_OPTIONS "$QSYS_SIMDIR/../../ip/Qsys/Qsys_sysid_qsys_0/sim/"]]
    set design_files [concat $design_files [Qsys_jtag_uart_0::get_design_files $USER_DEFINED_COMPILE_OPTIONS $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_VHDL_COMPILE_OPTIONS "$QSYS_SIMDIR/../../ip/Qsys/Qsys_jtag_uart_0/sim/"]]
    set design_files [concat $design_files [Qsys_emif_cal_0::get_design_files $USER_DEFINED_COMPILE_OPTIONS $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_VHDL_COMPILE_OPTIONS "$QSYS_SIMDIR/../../ip/Qsys/Qsys_emif_cal_0/sim/"]]
    set design_files [concat $design_files [Qsys_clock_in::get_design_files $USER_DEFINED_COMPILE_OPTIONS $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_VHDL_COMPILE_OPTIONS "$QSYS_SIMDIR/../../ip/Qsys/Qsys_clock_in/sim/"]]
    set design_files [concat $design_files [Qsys_mm_ccb_0::get_design_files $USER_DEFINED_COMPILE_OPTIONS $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_VHDL_COMPILE_OPTIONS "$QSYS_SIMDIR/../../ip/Qsys/Qsys_mm_ccb_0/sim/"]]
    set design_files [concat $design_files [Qsys_intel_onchip_memory_0::get_design_files $USER_DEFINED_COMPILE_OPTIONS $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_VHDL_COMPILE_OPTIONS "$QSYS_SIMDIR/../../ip/Qsys/Qsys_intel_onchip_memory_0/sim/"]]
    set design_files [concat $design_files [Qsys_emif_fm_0::get_design_files $USER_DEFINED_COMPILE_OPTIONS $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_VHDL_COMPILE_OPTIONS "$QSYS_SIMDIR/../../ip/Qsys/Qsys_emif_fm_0/sim/"]]
    set design_files [concat $design_files [Qsys_emif_fm_1::get_design_files $USER_DEFINED_COMPILE_OPTIONS $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_VHDL_COMPILE_OPTIONS "$QSYS_SIMDIR/../../ip/Qsys/Qsys_emif_fm_1/sim/"]]
    set design_files [concat $design_files [Qsys_timer_0::get_design_files $USER_DEFINED_COMPILE_OPTIONS $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_VHDL_COMPILE_OPTIONS "$QSYS_SIMDIR/../../ip/Qsys/Qsys_timer_0/sim/"]]
    set design_files [concat $design_files [Qsys_reset_in::get_design_files $USER_DEFINED_COMPILE_OPTIONS $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_VHDL_COMPILE_OPTIONS "$QSYS_SIMDIR/../../ip/Qsys/Qsys_reset_in/sim/"]]
    lappend design_files "vlog  $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_merlin_master_translator_192/sim/Qsys_altera_merlin_master_translator_192_lykd4la.sv"]\"  -work altera_merlin_master_translator_192"                    
    lappend design_files "vlog  $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_merlin_slave_translator_191/sim/Qsys_altera_merlin_slave_translator_191_x56fcki.sv"]\"  -work altera_merlin_slave_translator_191"                       
    lappend design_files "vlog  $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_merlin_master_agent_191/sim/Qsys_altera_merlin_master_agent_191_mpbm6tq.sv"]\"  -work altera_merlin_master_agent_191"                                   
    lappend design_files "vlog  $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_merlin_slave_agent_191/sim/Qsys_altera_merlin_slave_agent_191_ncfkfri.sv"]\"  -work altera_merlin_slave_agent_191"                                      
    lappend design_files "vlog  $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_merlin_slave_agent_191/sim/altera_merlin_burst_uncompressor.sv"]\"  -work altera_merlin_slave_agent_191"                                                
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_avalon_sc_fifo_1931/sim/Qsys_altera_avalon_sc_fifo_1931_vhmcgqy.v"]\"  -work altera_avalon_sc_fifo_1931"                                           
    lappend design_files "vlog  $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_merlin_router_1921/sim/Qsys_altera_merlin_router_1921_7mvmafy.sv"]\"  -work altera_merlin_router_1921"                                                  
    lappend design_files "vlog  $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_merlin_router_1921/sim/Qsys_altera_merlin_router_1921_lrexb4q.sv"]\"  -work altera_merlin_router_1921"                                                  
    lappend design_files "vlog  $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_merlin_router_1921/sim/Qsys_altera_merlin_router_1921_gxf44jy.sv"]\"  -work altera_merlin_router_1921"                                                  
    lappend design_files "vlog  $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_merlin_router_1921/sim/Qsys_altera_merlin_router_1921_65sexvy.sv"]\"  -work altera_merlin_router_1921"                                                  
    lappend design_files "vlog  $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_merlin_router_1921/sim/Qsys_altera_merlin_router_1921_gnhtrtq.sv"]\"  -work altera_merlin_router_1921"                                                  
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_merlin_traffic_limiter_191/sim/Qsys_altera_merlin_traffic_limiter_altera_avalon_sc_fifo_191_fjajnki.v"]\"  -work altera_merlin_traffic_limiter_191"
    lappend design_files "vlog  $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_merlin_traffic_limiter_191/sim/altera_merlin_reorder_memory.sv"]\"  -work altera_merlin_traffic_limiter_191"                                            
    lappend design_files "vlog  $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_merlin_traffic_limiter_191/sim/altera_avalon_st_pipeline_base.v"]\"  -work altera_merlin_traffic_limiter_191"                                           
    lappend design_files "vlog  $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_merlin_traffic_limiter_191/sim/Qsys_altera_merlin_traffic_limiter_191_6blplji.sv"]\"  -work altera_merlin_traffic_limiter_191"                          
    lappend design_files "vlog  $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_merlin_demultiplexer_1921/sim/Qsys_altera_merlin_demultiplexer_1921_fijr7ha.sv"]\"  -work altera_merlin_demultiplexer_1921"                             
    lappend design_files "vlog  $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_merlin_demultiplexer_1921/sim/Qsys_altera_merlin_demultiplexer_1921_fukkysi.sv"]\"  -work altera_merlin_demultiplexer_1921"                             
    lappend design_files "vlog  $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_merlin_multiplexer_1921/sim/Qsys_altera_merlin_multiplexer_1921_4mwmb3q.sv"]\"  -work altera_merlin_multiplexer_1921"                                   
    lappend design_files "vlog  $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_merlin_multiplexer_1921/sim/altera_merlin_arbitrator.sv"]\"  -work altera_merlin_multiplexer_1921"                                                      
    lappend design_files "vlog  $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_merlin_multiplexer_1921/sim/Qsys_altera_merlin_multiplexer_1921_yriftha.sv"]\"  -work altera_merlin_multiplexer_1921"                                   
    lappend design_files "vlog  $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_merlin_multiplexer_1921/sim/altera_merlin_arbitrator.sv"]\"  -work altera_merlin_multiplexer_1921"                                                      
    lappend design_files "vlog  $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_merlin_demultiplexer_1921/sim/Qsys_altera_merlin_demultiplexer_1921_x4beuky.sv"]\"  -work altera_merlin_demultiplexer_1921"                             
    lappend design_files "vlog  $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_merlin_demultiplexer_1921/sim/Qsys_altera_merlin_demultiplexer_1921_sr4whoq.sv"]\"  -work altera_merlin_demultiplexer_1921"                             
    lappend design_files "vlog  $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_merlin_multiplexer_1921/sim/Qsys_altera_merlin_multiplexer_1921_2fipzna.sv"]\"  -work altera_merlin_multiplexer_1921"                                   
    lappend design_files "vlog  $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_merlin_multiplexer_1921/sim/altera_merlin_arbitrator.sv"]\"  -work altera_merlin_multiplexer_1921"                                                      
    lappend design_files "vlog  $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_merlin_multiplexer_1921/sim/Qsys_altera_merlin_multiplexer_1921_rw4u2qi.sv"]\"  -work altera_merlin_multiplexer_1921"                                   
    lappend design_files "vlog  $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_merlin_multiplexer_1921/sim/altera_merlin_arbitrator.sv"]\"  -work altera_merlin_multiplexer_1921"                                                      
    lappend design_files "vlog  $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_merlin_width_adapter_1920/sim/Qsys_altera_merlin_width_adapter_1920_qcjauea.sv"]\"  -work altera_merlin_width_adapter_1920"                             
    lappend design_files "vlog  $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_merlin_width_adapter_1920/sim/altera_merlin_address_alignment.sv"]\"  -work altera_merlin_width_adapter_1920"                                           
    lappend design_files "vlog  $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_merlin_width_adapter_1920/sim/altera_merlin_burst_uncompressor.sv"]\"  -work altera_merlin_width_adapter_1920"                                          
    lappend design_files "vlog  $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_merlin_width_adapter_1920/sim/Qsys_altera_merlin_width_adapter_1920_dnrrpgy.sv"]\"  -work altera_merlin_width_adapter_1920"                             
    lappend design_files "vlog  $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_merlin_width_adapter_1920/sim/altera_merlin_address_alignment.sv"]\"  -work altera_merlin_width_adapter_1920"                                           
    lappend design_files "vlog  $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_merlin_width_adapter_1920/sim/altera_merlin_burst_uncompressor.sv"]\"  -work altera_merlin_width_adapter_1920"                                          
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_mm_interconnect_1920/sim/Qsys_altera_mm_interconnect_1920_qtoleoa.v"]\"  -work altera_mm_interconnect_1920"                                        
    lappend design_files "vlog  $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_merlin_router_1921/sim/Qsys_altera_merlin_router_1921_vniiqyi.sv"]\"  -work altera_merlin_router_1921"                                                  
    lappend design_files "vlog  $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_merlin_router_1921/sim/Qsys_altera_merlin_router_1921_i76ppui.sv"]\"  -work altera_merlin_router_1921"                                                  
    lappend design_files "vlog  $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_merlin_demultiplexer_1921/sim/Qsys_altera_merlin_demultiplexer_1921_gjmmgwi.sv"]\"  -work altera_merlin_demultiplexer_1921"                             
    lappend design_files "vlog  $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_merlin_multiplexer_1921/sim/Qsys_altera_merlin_multiplexer_1921_qp3kuiy.sv"]\"  -work altera_merlin_multiplexer_1921"                                   
    lappend design_files "vlog  $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_merlin_multiplexer_1921/sim/altera_merlin_arbitrator.sv"]\"  -work altera_merlin_multiplexer_1921"                                                      
    lappend design_files "vlog  $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_merlin_demultiplexer_1921/sim/Qsys_altera_merlin_demultiplexer_1921_ejbibiy.sv"]\"  -work altera_merlin_demultiplexer_1921"                             
    lappend design_files "vlog  $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_merlin_multiplexer_1921/sim/Qsys_altera_merlin_multiplexer_1921_ooqjmxy.sv"]\"  -work altera_merlin_multiplexer_1921"                                   
    lappend design_files "vlog  $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_merlin_multiplexer_1921/sim/altera_merlin_arbitrator.sv"]\"  -work altera_merlin_multiplexer_1921"                                                      
    lappend design_files "vlog  $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_merlin_width_adapter_1920/sim/Qsys_altera_merlin_width_adapter_1920_igu7oxy.sv"]\"  -work altera_merlin_width_adapter_1920"                             
    lappend design_files "vlog  $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_merlin_width_adapter_1920/sim/altera_merlin_address_alignment.sv"]\"  -work altera_merlin_width_adapter_1920"                                           
    lappend design_files "vlog  $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_merlin_width_adapter_1920/sim/altera_merlin_burst_uncompressor.sv"]\"  -work altera_merlin_width_adapter_1920"                                          
    lappend design_files "vlog  $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_merlin_width_adapter_1920/sim/Qsys_altera_merlin_width_adapter_1920_7pb5ela.sv"]\"  -work altera_merlin_width_adapter_1920"                             
    lappend design_files "vlog  $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_merlin_width_adapter_1920/sim/altera_merlin_address_alignment.sv"]\"  -work altera_merlin_width_adapter_1920"                                           
    lappend design_files "vlog  $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_merlin_width_adapter_1920/sim/altera_merlin_burst_uncompressor.sv"]\"  -work altera_merlin_width_adapter_1920"                                          
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../hs_clk_xer_1940/sim/Qsys_hs_clk_xer_1940_njwa2fi.v"]\"  -work hs_clk_xer_1940"                                                                            
    lappend design_files "vlog  $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../hs_clk_xer_1940/sim/alt_hiconnect_clock_crosser.v"]\"  -work hs_clk_xer_1940"                                                                                  
    lappend design_files "vlog  $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../hs_clk_xer_1940/sim/altera_reset_synchronizer.v"]\"  -work hs_clk_xer_1940"                                                                                    
    lappend design_files "vlog  $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../hs_clk_xer_1940/sim/alt_hiconnect_pipeline_base.v"]\"  -work hs_clk_xer_1940"                                                                                  
    lappend design_files "vlog  $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../hs_clk_xer_1940/sim/altera_std_synchronizer.v"]\"  -work hs_clk_xer_1940"                                                                                      
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_mm_interconnect_1920/sim/Qsys_altera_mm_interconnect_1920_lbk6ubq.v"]\"  -work altera_mm_interconnect_1920"                                        
    lappend design_files "vlog  $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_merlin_router_1921/sim/Qsys_altera_merlin_router_1921_drceu6i.sv"]\"  -work altera_merlin_router_1921"                                                  
    lappend design_files "vlog  $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_merlin_router_1921/sim/Qsys_altera_merlin_router_1921_dskyxjq.sv"]\"  -work altera_merlin_router_1921"                                                  
    lappend design_files "vlog  $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_merlin_demultiplexer_1921/sim/Qsys_altera_merlin_demultiplexer_1921_4boke4y.sv"]\"  -work altera_merlin_demultiplexer_1921"                             
    lappend design_files "vlog  $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_merlin_multiplexer_1921/sim/Qsys_altera_merlin_multiplexer_1921_yonay7a.sv"]\"  -work altera_merlin_multiplexer_1921"                                   
    lappend design_files "vlog  $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_merlin_multiplexer_1921/sim/altera_merlin_arbitrator.sv"]\"  -work altera_merlin_multiplexer_1921"                                                      
    lappend design_files "vlog  $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_merlin_demultiplexer_1921/sim/Qsys_altera_merlin_demultiplexer_1921_g3vaifa.sv"]\"  -work altera_merlin_demultiplexer_1921"                             
    lappend design_files "vlog  $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_merlin_multiplexer_1921/sim/Qsys_altera_merlin_multiplexer_1921_hbsovxi.sv"]\"  -work altera_merlin_multiplexer_1921"                                   
    lappend design_files "vlog  $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_merlin_multiplexer_1921/sim/altera_merlin_arbitrator.sv"]\"  -work altera_merlin_multiplexer_1921"                                                      
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_mm_interconnect_1920/sim/Qsys_altera_mm_interconnect_1920_dvmcx3y.v"]\"  -work altera_mm_interconnect_1920"                                        
    lappend design_files "vlog  $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_irq_mapper_2000/sim/Qsys_altera_irq_mapper_2000_dcsx22a.sv"]\"  -work altera_irq_mapper_2000"                                                           
    lappend design_files "vlog  $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_irq_clock_crosser_2000/sim/Qsys_altera_irq_clock_crosser_2000_65i6gcy.sv"]\"  -work altera_irq_clock_crosser_2000"                                      
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_reset_controller_1921/sim/altera_reset_controller.v"]\"  -work altera_reset_controller_1921"                                                       
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_reset_controller_1921/sim/altera_reset_synchronizer.v"]\"  -work altera_reset_controller_1921"                                                     
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/Qsys.v"]\"  -work Qsys"                                                                                                                                      
    return $design_files
  }
  
  proc get_elab_options {SIMULATOR_TOOL_BITNESS} {
    set ELAB_OPTIONS ""
    append ELAB_OPTIONS [Qsys_pio_1::get_elab_options $SIMULATOR_TOOL_BITNESS]
    append ELAB_OPTIONS [Qsys_pio_0::get_elab_options $SIMULATOR_TOOL_BITNESS]
    append ELAB_OPTIONS [Qsys_nios2_gen2_0::get_elab_options $SIMULATOR_TOOL_BITNESS]
    append ELAB_OPTIONS [Qsys_address_span_extender_0::get_elab_options $SIMULATOR_TOOL_BITNESS]
    append ELAB_OPTIONS [Qsys_pio_2::get_elab_options $SIMULATOR_TOOL_BITNESS]
    append ELAB_OPTIONS [Qsys_iopll_0::get_elab_options $SIMULATOR_TOOL_BITNESS]
    append ELAB_OPTIONS [Qsys_pio_3::get_elab_options $SIMULATOR_TOOL_BITNESS]
    append ELAB_OPTIONS [Qsys_sysid_qsys_0::get_elab_options $SIMULATOR_TOOL_BITNESS]
    append ELAB_OPTIONS [Qsys_jtag_uart_0::get_elab_options $SIMULATOR_TOOL_BITNESS]
    append ELAB_OPTIONS [Qsys_emif_cal_0::get_elab_options $SIMULATOR_TOOL_BITNESS]
    append ELAB_OPTIONS [Qsys_clock_in::get_elab_options $SIMULATOR_TOOL_BITNESS]
    append ELAB_OPTIONS [Qsys_mm_ccb_0::get_elab_options $SIMULATOR_TOOL_BITNESS]
    append ELAB_OPTIONS [Qsys_intel_onchip_memory_0::get_elab_options $SIMULATOR_TOOL_BITNESS]
    append ELAB_OPTIONS [Qsys_emif_fm_0::get_elab_options $SIMULATOR_TOOL_BITNESS]
    append ELAB_OPTIONS [Qsys_emif_fm_1::get_elab_options $SIMULATOR_TOOL_BITNESS]
    append ELAB_OPTIONS [Qsys_timer_0::get_elab_options $SIMULATOR_TOOL_BITNESS]
    append ELAB_OPTIONS [Qsys_reset_in::get_elab_options $SIMULATOR_TOOL_BITNESS]
    if ![ string match "bit_64" $SIMULATOR_TOOL_BITNESS ] {
    } else {
    }
    return $ELAB_OPTIONS
  }
  
  
  proc get_sim_options {SIMULATOR_TOOL_BITNESS} {
    set SIM_OPTIONS ""
    append SIM_OPTIONS [Qsys_pio_1::get_sim_options $SIMULATOR_TOOL_BITNESS]
    append SIM_OPTIONS [Qsys_pio_0::get_sim_options $SIMULATOR_TOOL_BITNESS]
    append SIM_OPTIONS [Qsys_nios2_gen2_0::get_sim_options $SIMULATOR_TOOL_BITNESS]
    append SIM_OPTIONS [Qsys_address_span_extender_0::get_sim_options $SIMULATOR_TOOL_BITNESS]
    append SIM_OPTIONS [Qsys_pio_2::get_sim_options $SIMULATOR_TOOL_BITNESS]
    append SIM_OPTIONS [Qsys_iopll_0::get_sim_options $SIMULATOR_TOOL_BITNESS]
    append SIM_OPTIONS [Qsys_pio_3::get_sim_options $SIMULATOR_TOOL_BITNESS]
    append SIM_OPTIONS [Qsys_sysid_qsys_0::get_sim_options $SIMULATOR_TOOL_BITNESS]
    append SIM_OPTIONS [Qsys_jtag_uart_0::get_sim_options $SIMULATOR_TOOL_BITNESS]
    append SIM_OPTIONS [Qsys_emif_cal_0::get_sim_options $SIMULATOR_TOOL_BITNESS]
    append SIM_OPTIONS [Qsys_clock_in::get_sim_options $SIMULATOR_TOOL_BITNESS]
    append SIM_OPTIONS [Qsys_mm_ccb_0::get_sim_options $SIMULATOR_TOOL_BITNESS]
    append SIM_OPTIONS [Qsys_intel_onchip_memory_0::get_sim_options $SIMULATOR_TOOL_BITNESS]
    append SIM_OPTIONS [Qsys_emif_fm_0::get_sim_options $SIMULATOR_TOOL_BITNESS]
    append SIM_OPTIONS [Qsys_emif_fm_1::get_sim_options $SIMULATOR_TOOL_BITNESS]
    append SIM_OPTIONS [Qsys_timer_0::get_sim_options $SIMULATOR_TOOL_BITNESS]
    append SIM_OPTIONS [Qsys_reset_in::get_sim_options $SIMULATOR_TOOL_BITNESS]
    if ![ string match "bit_64" $SIMULATOR_TOOL_BITNESS ] {
    } else {
    }
    return $SIM_OPTIONS
  }
  
  
  proc get_env_variables {SIMULATOR_TOOL_BITNESS} {
    set ENV_VARIABLES [dict create]
    set LD_LIBRARY_PATH [dict create]
    set LD_LIBRARY_PATH [dict merge $LD_LIBRARY_PATH [dict get [Qsys_pio_1::get_env_variables $SIMULATOR_TOOL_BITNESS] "LD_LIBRARY_PATH"]]
    set LD_LIBRARY_PATH [dict merge $LD_LIBRARY_PATH [dict get [Qsys_pio_0::get_env_variables $SIMULATOR_TOOL_BITNESS] "LD_LIBRARY_PATH"]]
    set LD_LIBRARY_PATH [dict merge $LD_LIBRARY_PATH [dict get [Qsys_nios2_gen2_0::get_env_variables $SIMULATOR_TOOL_BITNESS] "LD_LIBRARY_PATH"]]
    set LD_LIBRARY_PATH [dict merge $LD_LIBRARY_PATH [dict get [Qsys_address_span_extender_0::get_env_variables $SIMULATOR_TOOL_BITNESS] "LD_LIBRARY_PATH"]]
    set LD_LIBRARY_PATH [dict merge $LD_LIBRARY_PATH [dict get [Qsys_pio_2::get_env_variables $SIMULATOR_TOOL_BITNESS] "LD_LIBRARY_PATH"]]
    set LD_LIBRARY_PATH [dict merge $LD_LIBRARY_PATH [dict get [Qsys_iopll_0::get_env_variables $SIMULATOR_TOOL_BITNESS] "LD_LIBRARY_PATH"]]
    set LD_LIBRARY_PATH [dict merge $LD_LIBRARY_PATH [dict get [Qsys_pio_3::get_env_variables $SIMULATOR_TOOL_BITNESS] "LD_LIBRARY_PATH"]]
    set LD_LIBRARY_PATH [dict merge $LD_LIBRARY_PATH [dict get [Qsys_sysid_qsys_0::get_env_variables $SIMULATOR_TOOL_BITNESS] "LD_LIBRARY_PATH"]]
    set LD_LIBRARY_PATH [dict merge $LD_LIBRARY_PATH [dict get [Qsys_jtag_uart_0::get_env_variables $SIMULATOR_TOOL_BITNESS] "LD_LIBRARY_PATH"]]
    set LD_LIBRARY_PATH [dict merge $LD_LIBRARY_PATH [dict get [Qsys_emif_cal_0::get_env_variables $SIMULATOR_TOOL_BITNESS] "LD_LIBRARY_PATH"]]
    set LD_LIBRARY_PATH [dict merge $LD_LIBRARY_PATH [dict get [Qsys_clock_in::get_env_variables $SIMULATOR_TOOL_BITNESS] "LD_LIBRARY_PATH"]]
    set LD_LIBRARY_PATH [dict merge $LD_LIBRARY_PATH [dict get [Qsys_mm_ccb_0::get_env_variables $SIMULATOR_TOOL_BITNESS] "LD_LIBRARY_PATH"]]
    set LD_LIBRARY_PATH [dict merge $LD_LIBRARY_PATH [dict get [Qsys_intel_onchip_memory_0::get_env_variables $SIMULATOR_TOOL_BITNESS] "LD_LIBRARY_PATH"]]
    set LD_LIBRARY_PATH [dict merge $LD_LIBRARY_PATH [dict get [Qsys_emif_fm_0::get_env_variables $SIMULATOR_TOOL_BITNESS] "LD_LIBRARY_PATH"]]
    set LD_LIBRARY_PATH [dict merge $LD_LIBRARY_PATH [dict get [Qsys_emif_fm_1::get_env_variables $SIMULATOR_TOOL_BITNESS] "LD_LIBRARY_PATH"]]
    set LD_LIBRARY_PATH [dict merge $LD_LIBRARY_PATH [dict get [Qsys_timer_0::get_env_variables $SIMULATOR_TOOL_BITNESS] "LD_LIBRARY_PATH"]]
    set LD_LIBRARY_PATH [dict merge $LD_LIBRARY_PATH [dict get [Qsys_reset_in::get_env_variables $SIMULATOR_TOOL_BITNESS] "LD_LIBRARY_PATH"]]
    dict set ENV_VARIABLES "LD_LIBRARY_PATH" $LD_LIBRARY_PATH
    if ![ string match "bit_64" $SIMULATOR_TOOL_BITNESS ] {
    } else {
    }
    return $ENV_VARIABLES
  }
  
  
  proc normalize_path {FILEPATH} {
      if {[catch { package require fileutil } err]} { 
          return $FILEPATH 
      } 
      set path [fileutil::lexnormalize [file join [pwd] $FILEPATH]]  
      if {[file pathtype $FILEPATH] eq "relative"} { 
          set path [fileutil::relative [pwd] $path] 
      } 
      return $path 
  } 
}
