// ltssm_dcfifo.v

// Generated using ACDS version 23.2 94

`timescale 1 ps / 1 ps
module ltssm_dcfifo (
		input  wire [31:0] data,    //  fifo_input.datain
		input  wire        wrreq,   //            .wrreq
		input  wire        rdreq,   //            .rdreq
		input  wire        wrclk,   //            .wrclk
		input  wire        rdclk,   //            .rdclk
		input  wire        aclr,    //            .aclr
		output wire [31:0] q,       // fifo_output.dataout
		output wire [9:0]  rdusedw, //            .rdusedw
		output wire        rdfull,  //            .rdfull
		output wire        rdempty, //            .rdempty
		output wire        wrfull,  //            .wrfull
		output wire        wrempty  //            .wrempty
	);

	pcie_ftile_mcdma_fifo_1921_abjjzyq ltssm_dcfifo (
		.data    (data),    //   input,  width = 32,  fifo_input.datain
		.wrreq   (wrreq),   //   input,   width = 1,            .wrreq
		.rdreq   (rdreq),   //   input,   width = 1,            .rdreq
		.wrclk   (wrclk),   //   input,   width = 1,            .wrclk
		.rdclk   (rdclk),   //   input,   width = 1,            .rdclk
		.aclr    (aclr),    //   input,   width = 1,            .aclr
		.q       (q),       //  output,  width = 32, fifo_output.dataout
		.rdusedw (rdusedw), //  output,  width = 10,            .rdusedw
		.rdfull  (rdfull),  //  output,   width = 1,            .rdfull
		.rdempty (rdempty), //  output,   width = 1,            .rdempty
		.wrfull  (wrfull),  //  output,   width = 1,            .wrfull
		.wrempty (wrempty)  //  output,   width = 1,            .wrempty
	);

endmodule
