// led_pio.v

// Generated using ACDS version 23.2 94

`timescale 1 ps / 1 ps
module led_pio (
		input  wire        clk,        //                 clk.clk
		input  wire        reset_n,    //               reset.reset_n
		input  wire [1:0]  address,    //                  s1.address
		input  wire        write_n,    //                    .write_n
		input  wire [31:0] writedata,  //                    .writedata
		input  wire        chipselect, //                    .chipselect
		output wire [31:0] readdata,   //                    .readdata
		input  wire [2:0]  in_port,    // external_connection.in_port
		output wire [2:0]  out_port    //                    .out_port
	);

	led_pio_altera_avalon_pio_1923_ntjg4ha altera_avalon_pio_inst (
		.clk        (clk),        //   input,   width = 1,                 clk.clk
		.reset_n    (reset_n),    //   input,   width = 1,               reset.reset_n
		.address    (address),    //   input,   width = 2,                  s1.address
		.write_n    (write_n),    //   input,   width = 1,                    .write_n
		.writedata  (writedata),  //   input,  width = 32,                    .writedata
		.chipselect (chipselect), //   input,   width = 1,                    .chipselect
		.readdata   (readdata),   //  output,  width = 32,                    .readdata
		.in_port    (in_port),    //   input,   width = 3, external_connection.in_port
		.out_port   (out_port)    //  output,   width = 3,                    .out_port
	);

endmodule
